/*!
 * BizPanda Lockers - v2.6.0, 2020-06-10 
 * for jQuery: http://onepress-media.com/plugin/social-locker-for-jquery/get 
 * for Wordpress: http://onepress-media.com/plugin/social-locker-for-wordpress/get 
 * 
 * Copyright 2020, OnePress, http://byonepress.com 
 * Help Desk: http://support.onepress-media.com/ 
*/

/*!
 * Localization
 * Copyright 2020, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
(function ($) {

    /**
    * Text resources.
    */
   
    if ( !$.pandalocker ) $.pandalocker = {};
    
    if (!$.pandalocker.lang) $.pandalocker.lang = {};
    if (!$.pandalocker.lang.defaults ) $.pandalocker.lang.defaults = {};  
    
    $.pandalocker.lang.defaults = {
        
        // - translatable text

        // the Screen "Confirm Your Like"

        confirm_like_screen_header:     'Almost Ready',
        confirm_like_screen_message:    'Click the button below to like and unlock.',
        confirm_like_screen_button:     'Confirm Like',
        
        // the Screen "Please Confirm Your Email"
        
        confirm_screen_title:           'Please Confirm Your Email',
        confirm_screen_instruction:     'We have sent a confirmation email to {email}. Please click on the confirmation link in the email to reveal the content.',
        confirm_screen_note1:           'The content will be unlocked automatically within 10 seconds after confirmation.',    
        confirm_screen_note2:           'Note delivering the email may take several minutes.',

        confirm_screen_cancel:          '(cancel)',
        confirm_screen_open:            'Open my inbox on {service}',
                
        // the Screen "One Step To Complete"
        
        onestep_screen_title:           'One Step To Complete',
        onestep_screen_instruction:     'Please enter your email below to continue.',
        onestep_screen_button:          'Complete',
        
        // the sign-in buttons
        
        signin_long:                    'Sign in via {name}',
        signin_short:                   'via {name}',
        signin_facebook_name:           'Facebook',
        signin_twitter_name:            'Twitter',
        signin_google_name:             'Google',
        signin_linkedin_name:           'LinkedIn',

        // miscellaneous
        
        misc_data_processing:           'Processing data, please wait...',
        misc_or_enter_email:            'or enter your email manually to sign in', 
        
        misc_enter_your_name:           'enter your name',
        misc_enter_your_email:          'enter your email address',
        
        misc_your_agree_with:           'By clicking on the button(s), you agree with {links}',
        misc_terms_of_use:              'Terms of Use',
        misc_privacy_policy:            'Privacy Policy',
        misc_agreement_checkbox:        'I consent to processing of my data according to {links}',
        misc_agreement_checkbox_alt:    'I agree with {links}',
        
        misc_or_wait:                   'or wait {timer}s',
        misc_close:                     'Close',
        misc_or:                        'OR',
        
        // errors & notices
            
        errors_empty_email:             "Please enter your email address.",
        errors_incorrect_email:          "It seems you entered an incorrect email address. Please check it.",
        errors_empty_name:              "Please enter your name.",  
        errors_empty_field:             "Please fill this field.",
        errors_empty_checkbox:          "Please mark this checkbox to continue.", 
        errors_invalid_url:             "Please enter a valid URL.",
        errors_invalid_integer:         "Please enter an integer number.",
        errors_greater_number:          "Please enter a number greater than or equal to {0}.",
        errors_less_number:             "Please enter a number less than or equal to {0}.",   
        errors_invalid_value:           "Invalid value. Please check the value you entered.",
        errors_invalid_date:            "Please enter a valid date.",  
        errors_invalid_month:           "Please enter a valid month number (between 01 and 12).",
        errors_invalid_day:             "Please enter a valid day number (between 01 and 31).",      
        
        errors_subscription_canceled:   "You have canceled your subscription.", 
        errors_not_signed_in:           "Sorry, but you have not signed in. Please try again.",
        res_errors_not_granted:         "Sorry, but you have not granted all the required permissions ({permissions}). Please try again.",
        
        errors_no_consent:              "Please give us your consent in order to continue.",
        
        // - default text & internal errors
        
        // common resources
        
        error:                              'error',
        noSpam:                             'Your email address is 100% safe from spam!',
        
        errors: {
            ajaxError:                      'Unexpected ajax error. Please check the console log to get more details.',
            unableToLoadSDK:                'Unable to load SDK script for "{0}" due to the error "{1}". Please make sure that nothing blocks loading of social scripts in your browser. Some browser extentions (Avast, PrivDog, AdBlock etc.) or usage of private tabs in FireFox may cause this issue. Turn them off and try again.',     
            unableToCreateControl:          'Unable to create ({0}). Please make sure that nothing blocks loading of social scripts in your browser. Some browser extentions (Avast, PrivDog, AdBlock etc.) can cause this issue. Turn them off and try again.',
            emptyFBAppIdError:              'Please set your Facebook App ID.',
            emptyTwitterFollowUrlError:     'Please set an URL of your Twitter profile.',
            tweetNotFound:                  'Please make sure that you have posted the tweet. Unfortunately we have not manage to find the tweet in your account.',
            followingNotFound:              'Please make sure that you have followed us. Unfortunately we have not managed to find you in the list of followers.',
            emptyYoutubeChannelId:          'Please set your Youtube Channel ID.',
            actionsProxyEmpty:              'The action proxy URL is empty. The proxy is used to call action API.',
            socialProxyEmpty:               'The social proxy URL is empty. This proxy is used to call social API.'
        },
        
        // locker type-dependent resources
        
        scopes: {
            
            // when the Connect Buttons is the primary group
            
            signinLocker: {
                defaultHeader:      "Sing In To Unlock This Content",
                defaultMessage:     "Please sign in. Just click one of the buttons below to get instant access.",
                
                btnSubscribe:       "sign in to unlock",
                
                viaSignInLong:      "{long}",
                viaSignInShort:     "{short}"
            },
            
            // when the Subscription is the primary group
            
            emailLocker: {
                defaultHeader:      "This Content Is Only For Subscribers",
                defaultMessage:     "Please subscribe to unlock this content. Just enter your email.",
                
                btnSubscribe:       "subscribe to unlock",
                
                viaSignInLong:      "{short}",
                viaSignInShort:     "{name}"
            },
            
            // when the Social Buttons is the primary group
            
            socialLocker: {
                defaultHeader:      "This content is locked",
                defaultMessage:     "Please support us, use one of the buttons below to unlock the content.",
            },
        },
        
        // text resources for the group 'connect-buttons'
        
        connectButtons: {

            defaultMessage: "subscribe via your social profile by one click",

            facebook: {},
            google: {},
            linkedin: {},
            
            defaultSeparator: "or",

            errorYouTubeChannelMissed: "Please set an ID of your Youtube channel to subscribe.",
            errorLinkedInCompanyNotFound: "The LinkedIn company '{0}' not found.",
            errorLinkedInCompanyMissed: "Please specify the LinkedIn company ID or name to follow.",
            errorTwitterUserMissed: "Please specify the Twitter user name to follow.",
            errorTwitterMessageMissed: "Please specify the message to tweet."
        },
        
        // text resources for the group 'subscription'
        
        subscription: {

            defaultText: 'Cannot sign in via social networks? Enter your email manually.',
            defaultButtonText: 'done, sign in to unlock'
        },
        
        // text resources for the group 'social-buttons'
        
        socialButtons: {
            
            // default labels for the buttons covers
            facebookLike:       'like us',
            facebookShare:      'share',
            twitterTweet:       'tweet',  
            twitterFollow:      'follow us',
            youtubeSubscribe:   'subscribe',
            linkedinShare:      'share'
        }
    };  
    
    $.pandalocker.lang = $.pandalocker.lang.defaults;  
    
    if ( window.__pandalockers && window.__pandalockers.lang ) {
        $.pandalocker.lang = $.extend( $.pandalocker.lang, window.__pandalockers.lang );  
        window.__pandalockers.lang = null;
    }
 
})(jQuery);;
/*!
 * Themes Presets
 * Copyright 2020, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
(function ($) {

    if (!$.pandalocker.themes) $.pandalocker.themes = {};
    
    // Theme: Great Attractor
    
    $.pandalocker.themes['great-attractor'] = {

        socialButtons: {
            display: 'covers',

            unsupported: {
                display: ['covers-native']
            }
        }
    };
    
    // Theme: Friendly Giant
    
    $.pandalocker.themes['friendly-giant'] = {

        socialButtons: {
            display: 'covers',

            unsupported: {
                display: ['covers-native']
            }
        },

        theme: {
            fonts: [{
                name: 'Open Sans',
                styles: ['400', '700']
            }]
        }
    };
    
    // Theme: Dark Force
    
    $.pandalocker.themes['dark-force'] = {
        
        socialButtons: {
            display: 'covers',

            unsupported: {
                display: ['covers-native']
            }
        },

        theme: {
            fonts: [{
                name: 'Montserrat',
                styles: ['400', '700']
            }]
        }
    };
    
    // Theme: Starter

    $.pandalocker.themes['starter'] = {
        
        socialButtons: {
            counter: true,
            display: 'covers-native'
        }
    };
    
    // Theme: Secrets
    
    $.pandalocker.themes['secrets'] = {
        
        socialButtons: {
            counter: true,
            display: 'covers-native'
        }
    };
    
    // Theme: Dandyish
    
    $.pandalocker.themes['dandyish'] = {

        socialButtons: {
            counter: false,
            display: 'native'
        }
    };
    
    // Theme: Glass

    $.pandalocker.themes['glass'] = {

        socialButtons: {
            counter: true,
            display: 'native'
        }
    };

    // Theme: Flat
    
    $.pandalocker.themes['flat'] = {

        socialButtons: {
            counter: true,
            display: 'covers'
        }
    };

})(jQuery);;
!function(o){"use strict";o.pandalocker||(o.pandalocker={}),o.pandalocker.data||(o.pandalocker.data={}),o.pandalocker.entity||(o.pandalocker.entity={}),o.pandalocker.groups||(o.pandalocker.groups={}),o.pandalocker.controls||(o.pandalocker.controls={}),o.pandalocker.tools||(o.pandalocker.tools={}),o.pandalocker.storages||(o.pandalocker.storages={}),o.pandalocker.services||(o.pandalocker.services={}),o.pandalocker.extras||(o.pandalocker.extras={}),o.pandalocker.controls["social-buttons"]||(o.pandalocker.controls["social-buttons"]={}),o.pandalocker.controls["connect-buttons"]||(o.pandalocker.controls["connect-buttons"]={}),o.pandalocker.controls.subscription||(o.pandalocker.controls.subscription={})}(jQuery);;
!function(s){"use strict";s.pandalocker||(s.pandalocker={}),s.pandalocker.filters=s.pandalocker.filters||{_items:{},_priorities:{},run:function(i,t){var r=t&&0<t.length?t[0]:null;if(!this._items[i])return r;for(var s in this._priorities[i])if(this._priorities[i].hasOwnProperty(s))for(var e=this._priorities[i][s],n=0;n<this._items[i][e].length;n++)var o=this._items[i][e][n],r=o.apply(o,t);return r},add:function(i,t,r){r=r||10,this._items[i]||(this._items[i]={}),this._items[i][r]||(this._items[i][r]=[]),this._items[i][r].push(t),this._priorities[i]||(this._priorities[i]=[]),-1===s.inArray(r,this._priorities[i])&&this._priorities[i].push(r),this._priorities[i].sort(function(i,t){return i-t})}},s.pandalocker.hooks=s.pandalocker.hooks||{run:function(i,t){s.pandalocker.filters.run(i,t)},add:function(i,t,r){s.pandalocker.filters.add(i,t,r)}}}(jQuery);;
!function(t){"use strict";function e(){var s={done:[],fail:[],always:[]};this.resolved=!1,this.rejected=!1,this.arg1=null,this.arg2=null,this.resolve=function(t,e){if(this.resolved||this.rejected)return this;this.resolved=!0,this.arg1=t,this.arg2=e;for(var r=0;r<s.done.length;r++)s.done[r](t,e);for(r=0;r<s.always.length;r++)s.always[r](t,e);return this},this.reject=function(t,e){if(this.resolved||this.rejected)return this;this.rejected=!0,this.arg1=t,this.arg2=e;for(var r=0;r<s.fail.length;r++)s.fail[r](t,e);for(r=0;r<s.always.length;r++)s.always[r](t,e);return this},this.done=this.success=function(t){return this.resolved?t&&t(this.arg1,this.arg2):s.done.push(t),this},this.fail=this.error=function(t){return this.rejected?t&&t(this.arg1,this.arg2):s.fail.push(t),this},this.always=function(t){return this.resolved||this.rejected?t&&t(this.arg1,this.arg2):s.always.push(t),this},this.promise=function(){return this}}t.pandalocker||(t.pandalocker={}),t.pandalocker.deferred=t.Deferred||function(){return new e}}((window,document,jQuery));;
!function(s){"use strict";s.pandalocker.tools||(s.pandalocker.tools={}),s.pandalocker.tools.extend=function(e){function r(){}return r.prototype=s.extend(!0,{},e),new r},s.pandalocker.error=function(e){this.onpsl=!0,this.message=e},s.pandalocker.tools.normilizeHtmlOption=function(e){return e?"function"==typeof e?e(this):"string"==typeof e?s("<div>"+e+"</div>"):"object"==typeof e?e.clone():e:e},s.pandalocker.tools.diffArrays=function(e,r){return s.grep(e,function(e){return-1==s.inArray(e,r)})},s.pandalocker.tools.unionArrays=function(e,r){return s.grep(e,function(e){return-1!==s.inArray(e,r)})},s.pandalocker.tools.cookie=s.pandalocker.tools.cookie||function(e,r,o){var n,t;if(1<arguments.length&&(!/Object/.test(Object.prototype.toString.call(r))||null==r))return o=s.extend({},o),null==r&&(o.expires=-1),"number"==typeof o.expires&&(n=o.expires,(t=o.expires=new Date).setDate(t.getDate()+n)),r=String(r),document.cookie=[encodeURIComponent(e),"=",o.raw?r:encodeURIComponent(r),o.expires?"; expires="+o.expires.toUTCString():"",o.path?"; path="+o.path:"",o.domain?"; domain="+o.domain:"",o.secure?"; secure":""].join("");for(var a,u=(o=r||{}).raw?function(e){return e}:decodeURIComponent,F=document.cookie.split("; "),i=0;a=F[i]&&F[i].split("=");i++)if(u(a[0])===e)return u(a[1]||"");return null},s.pandalocker.tools.hash=s.pandalocker.tools.hash||function(e){var r=0;if(!e||0===e.length)return r;for(var o=0;o<e.length;o++){r=(r<<5)-r+e.charCodeAt(o);r&=r}return r=(r=r.toString(16)).replace("-","0")},s.pandalocker.tools.has3d=s.pandalocker.tools.has3d||function(){var e,r=document.createElement("p"),o={WebkitTransform:"-webkit-transform",OTransform:"-o-transform",MSTransform:"-ms-transform",MozTransform:"-moz-transform",Transform:"transform"};for(var n in r.className="onp-sl-always-visible",document.body.insertBefore(r,null),o)void 0!==r.style[n]&&(r.style[n]="translate3d(1px,1px,1px)",e=window.getComputedStyle(r).getPropertyValue(o[n]));return document.body.removeChild(r),void 0!==e&&0<e.length&&"none"!==e},s.pandalocker.tools.canBlur=s.pandalocker.tools.canBlur||function(){var e=document.createElement("div");e.style.cssText=_browserPrefixes.join("filter:blur(2px); ");var r=!!e.style.length&&(void 0===document.documentMode||9<document.documentMode);if(r)return!0;try{r=2==SVGFEColorMatrixElement.SVG_FECOLORMATRIX_TYPE_SATURATE}catch(e){}return r},s.pandalocker.isTouch=s.pandalocker.isTouch||function(){return!!("ontouchstart"in window)||!!("onmsgesturechange"in window)},s.pandalocker.widget=function(t,n){var a=function(e,r){var o=s.extend(!0,{},n);o.element=s(e),"BODY"==e.tagName&&(s("body").wrapInner('<div class="onp-sl-body-inner-wrap"></div>'),o.element=s(".onp-sl-body-inner-wrap")),o.options=s.extend(!0,o.options,r),o._init&&o._init(),o._create&&o._create(),s.data(e,"plugin_"+t,o)},u=function(e,r){return e[r]&&e[r]()};s.fn[t]=function(){var r=arguments,o=arguments.length,n=this;return this.each(function(){var e=s.data(this,"plugin_"+t);e||1!=o||"object"!=typeof r[0]||null===r[0]?e&&1==o&&(n=u(e,r[0]),"dispose"===r[0]&&s.data(this,"plugin_"+t,null)):a(this,!!o&&r[0])}),n}},s.pandalocker.detectBrowser=s.pandalocker.detectBrowser||function(){var e=(jQuery.uaMatch||function(e){e=e.toLowerCase();var r=/(chrome)[ \/]([\w.]+)/.exec(e)||/(webkit)[ \/]([\w.]+)/.exec(e)||/(opera)(?:.*version|)[ \/]([\w.]+)/.exec(e)||/(msie) ([\w.]+)/.exec(e)||e.indexOf("compatible")<0&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(e)||[];return{browser:r[1]||"",version:r[2]||"0"}})(navigator.userAgent);s.pandalocker.browser={},e.browser&&(s.pandalocker.browser[e.browser]=!0,s.pandalocker.browser.version=e.version);var r,o,n=(o=-1,"Microsoft Internet Explorer"==navigator.appName?(r=navigator.userAgent,null!=new RegExp("MSIE ([0-9]{1,}[.0-9]{0,})").exec(r)&&(o=parseFloat(RegExp.$1))):"Netscape"==navigator.appName&&(r=navigator.userAgent,null!=new RegExp("Trident/.*rv:([0-9]{1,}[.0-9]{0,})").exec(r)&&(o=parseFloat(RegExp.$1))),o);0<n&&(s.pandalocker.browser.msie=!0,s.pandalocker.browser.version=n),s.pandalocker.browser.chrome?s.pandalocker.browser.webkit=!0:s.pandalocker.browser.webkit&&(s.pandalocker.browser.safari=!0)},s.pandalocker.detectBrowser(),s.pandalocker.tools.camelCase=function(e){return e.toLowerCase().replace(/-(.)/g,function(e,r){return r.toUpperCase()})},s.pandalocker.tools.capitaliseFirstLetter=function(e){return e.charAt(0).toUpperCase()+e.slice(1)},s.pandalocker.tools.isMobile=function(){return!!/webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent)||!(!/Android/i.test(navigator.userAgent)||!/Mobile/i.test(navigator.userAgent))},s.pandalocker.tools.isTabletOrMobile=function(){return!!/webOS|iPhone|iPad|Android|iPod|BlackBerry/i.test(navigator.userAgent)},s.pandalocker.tools.isInAppBrowser=function(){return!!s.pandalocker.tools.getInAppBrowser()},s.pandalocker.tools.getInAppBrowser=function(){return/FBAN|FBAV/i.test(navigator.userAgent)?"Facebook In-App browser":/Instagram/i.test(navigator.userAgent)?"Instagram In-App browser":/Twitter/i.test(navigator.userAgent)?"Twitter In-App browser":!!/VKAndroid/i.test(navigator.userAgent)&&"VK In-App browser"},s.pandalocker.tools.updateQueryStringParameter=function(e,r,o){var n=new RegExp("([?&])"+r+"=.*?(&|$)","i"),t=-1!==e.indexOf("?")?"&":"?";return e.match(n)?e.replace(n,"$1"+r+"="+o+"$2"):e+t+r+"="+o},s.pandalocker.tools.parseQuery=function(e){if("string"!=typeof e)return!1;var r=[];if(e){var o=e.split("&");if(o)for(var n in o){var t=o[n].split("=");r[t[0]]=t[1]}}return r},s.pandalocker.tools.appendPrefix=function(e,r){var o={};if(e)for(var n in r){r.hasOwnProperty(n)&&(o[e+n.charAt(0).toUpperCase()+n.slice(1)]=r[n])}else o=r;return o},s.pandalocker.tools.isValidEmailAddress=function(e){return new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i).test(e)},s.pandalocker.tools.isValidUrl=function(e){return new RegExp(/^(https?|ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i).test(e)},s.pandalocker.tools.findLeftWindowBoundry=function(){return window.screenLeft?window.screenLeft:window.screenX?window.screenX:0},s.pandalocker.tools.findTopWindowBoundry=function(){return window.screenTop?window.screenTop:window.screenY?window.screenY:0},s.pandalocker.tools.extractJSON=function(e){var r,o,n=e.indexOf("{",n+1);do{if((r=e.lastIndexOf("}"))<=n)return null;do{o=e.substring(n,r+1);try{var t=s.parseJSON(o);if(t)return t}catch(e){}r=e.substr(0,r).lastIndexOf("}")}while(n<r);n=e.indexOf("{",n+1)}while(-1!=n);return!1},s.pandalocker.tools.saveValue=function(r,o,n){if(localStorage&&localStorage.setItem)try{localStorage.setItem(r,o)}catch(e){s.pandalocker.tools.cookie(r,o,{expires:n,path:"/"})}else s.pandalocker.tools.cookie(r,o,{expires:n,path:"/"})},s.pandalocker.tools.getValue=function(e,r){var o=localStorage&&localStorage.getItem&&localStorage.getItem(e);return(o=o||s.pandalocker.tools.cookie(e))||r},s.pandalocker.tools.guid=function(){function e(){return Math.floor(65536*(1+Math.random())).toString(16).substring(1)}return e()+e()+"-"+e()+"-"+e()+"-"+e()+"-"+e()+e()+e()},s.pandalocker.tools.id=function(e){e=e||5;for(var r="",o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",n=0;n<e;n++)r+=o.charAt(Math.floor(Math.random()*o.length));return r},s.pandalocker.tools.timestamp=function(){var e=Date.now||function(){return(new Date).getTime()};return Math.floor(e()/1e3)}}(jQuery);;
!function(s){"use strict";s.pandalocker.sdk=s.pandalocker.sdk||{_ready:{},_connected:{},_error:{},getSDK:function(e){return e=s.pandalocker.tools.camelCase(e),s.pandalocker.sdk[e]?s.pandalocker.sdk[e]:null},isConnected:function(t){if(0<s("#"+t.scriptId).length)return!0;var n=!1;return s("script").each(function(){var e=s(this).attr("src");return!e||((n=-1!==e.indexOf(t.url))?(s(this).attr("id",t.scriptId),!1):void 0)}),n},getLoadingScript:function(e){var t=s("#"+e.scriptId),n=s("script[src='*"+e.url+"']");return 0<t.length?t:n},isLoaded:function(e){return this.isConnected(e)&&e.isLoaded&&e.isLoaded()},connect:function(n,e,t){var r=this,o=this.getSDK(n),i=s.pandalocker.deferred();if(!o)return console&&console.log("Invalide SDK name: "+n),i.reject("invalide-sdk"),i.promise();if(o.options=e,setTimeout(function(){o.isLoaded()?r.setup&&r.setup():(r._connected[n]=!1,i.reject("timeout"))},t),this._ready[n])return i.resolve(),i.promise();if(s(document).bind(n+"-init",function(){i.resolve()}),s(document).bind(n+"-error",function(e,t){r._error[n]=!0,i.reject(t)}),this._connected[n]&&!r._error[n])return i.promise();o.createEvents||(o.createEvents=function(){function e(){s(document).trigger(o.name+"-init")}var t=o.isLoaded();t?e():s(document).bind(o.name+"-script-loaded",function(){e()})}),o.prepare&&o.prepare();var c,d=o.isLoaded(),a=this.isConnected(o);return s(document).bind(n+"-init",function(){r._ready[n]=!0}),this._connected[n]||o.createEvents(),a&&!r._error[n]||(r._error[n]&&(c=this.getLoadingScript(o))&&c.remove(),function(){var e=document.createElement("script");e.type="text/javascript",e.id=o.scriptId,e.src=o.url;var t=o.getScriptBody?o.getScriptBody():null;t&&(e.innerHtml=t),document.getElementsByTagName("body")[0].appendChild(e)}()),d||((c=this.getLoadingScript(o)[0]).onerror=function(e){console&&console.log("Failed to load SDK script:"),console&&console.log(e),s(document).trigger(o.name+"-error",["blocked"])},c.onreadystatechange=c.onload=function(){var e=c.readyState;e&&!/loaded|complete/.test(e)||(s(document).trigger(o.name+"-script-loaded"),s(document).unbind(o.name+"-script-loaded"))}),setTimeout(function(){o.isLoaded()||s(document).trigger(o.name+"-error",["timeout"])},t),this._connected[n]=!0,i.promise()}}}(jQuery);;
!function(t){var h,e,o,l,a,c,s,u,f,p,_,g,m,y,v,n,d,i=function(){var t=this;return t&&t.hasOwnProperty&&t instanceof i||(t=new i),t._init.apply(t,arguments)};function w(t){return"string"==typeof t}h="absolute",e="relative",o="/",l="",a="type",c="scheme",s="userInfo",u="host",f="port",p="path",_="query",g="fragment",m=/^(?:(https?:\/\/|\/\/)|(\/|\?|#)|[^;:@=\.\s])/i,y=/^(?:(https?):\/\/|\/\/)(?:([^:@\s]+:?[^:@\s]+?)@)?((?:[^;:@=\/\?\.\s]+\.)+[A-Za-z0-9\-]{2,})(?::(\d+))?(?=\/|\?|#|$)([^\?#]+)?(?:\?([^#]+))?(?:#(.+))?/i,v=/^([^\?#]+)?(?:\?([^#]+))?(?:#(.+))?/i,n=/^\s+|\s+$/g,d=String.prototype.trim?function(t){return t&&t.trim?t.trim():t}:function(r){try{return r.replace(n,l)}catch(t){return r}},i.ABSOLUTE=h,i.RELATIVE=e,i.normalize=function(t){return new i(t).toString()},i.resolve=function(t,r){return new i(t).resolve(r).toString()},i.prototype={_init:function(t){return this.constructor=i,t=w(t)?t:t instanceof i?t.toString():null,this._original=t,this._url={},this._isValid=this._parse(t),this},toString:function(){var t=this._url,r=[],n=t[a],i=t[c],e=t[p],s=t[_],u=t[g];return n===h&&(r.push(i?i+"://":"//",this.authority()),e&&0!==e.indexOf(o)&&(e=o+e)),r.push(e,s?"?"+this.queryString():l,u?"#"+u:l),r.join(l)},original:function(){return this._original},isValid:function(){return this._isValid},isAbsolute:function(){return this._url[a]===h},isRelative:function(){return this._url[a]===e},isHostRelative:function(){var t=this._url[p];return this.isRelative()&&t&&0===t.indexOf(o)},type:function(){return this._url[a]},scheme:function(t){return arguments.length?this._set(c,t):this._url[c]},userInfo:function(t){return arguments.length?this._set(s,t):this._url[s]},host:function(t){return arguments.length?this._set(u,t):this._url[u]},domain:function(){var t=this._url[u];return t?t.split(".").slice(-2).join("."):void 0},port:function(t){return arguments.length?this._set(f,t):this._url[f]},authority:function(){var t=this._url,r=t[s],n=t[u],i=t[f];return[r?r+"@":l,n,i?":"+i:l].join(l)},path:function(t){return arguments.length?this._set(p,t):this._url[p]},query:function(t){return arguments.length?this._set(_,t):this._url[_]},queryString:function(t){if(arguments.length)return this._set(_,this._parseQuery(t));t=l;var r,n,i=this._url[_];if(i)for(r=0,n=i.length;r<n;r++)t+=i[r].join("="),r<n-1&&(t+="&");return t},fragment:function(t){return arguments.length?this._set(g,t):this._url[g]},resolve:function(t){var r,n;return t=t instanceof i?t:new i(t),this.isValid()&&t.isValid()?t.isAbsolute()?!this.isAbsolute()||t.scheme()?t:new i(t).scheme(this.scheme()):(r=new i(this.isAbsolute()?this:null),t.path()?(n=t.isHostRelative()||!this.path()?t.path():this.path().substring(0,this.path().lastIndexOf(o)+1)+t.path(),r.path(this._normalizePath(n)).query(t.query()).fragment(t.fragment())):t.query()?r.query(t.query()).fragment(t.fragment()):t.fragment()&&r.fragment(t.fragment()),r):this},reduce:function(t){t=t instanceof i?t:new i(t);var r=this.resolve(t);return this.isAbsolute()&&r.isAbsolute()&&r.scheme()===this.scheme()&&r.authority()===this.authority()&&r.scheme(null).userInfo(null).host(null).port(null),r},_parse:function(t,r){if(t=d(t),!(w(t)&&0<t.length))return!1;var n,i;switch(r=r||((r=t.match(m))?r[1]?h:r[2]?e:null:null)){case h:(n=t.match(y))&&((i={})[a]=h,i[c]=n[1]?n[1].toLowerCase():void 0,i[s]=n[2],i[u]=n[3].toLowerCase(),i[f]=n[4]?parseInt(n[4],10):void 0,i[p]=n[5]||o,i[_]=this._parseQuery(n[6]),i[g]=n[7]);break;case e:(n=t.match(v))&&((i={})[a]=e,i[p]=n[1],i[_]=this._parseQuery(n[2]),i[g]=n[3]);break;default:return this._parse(t,h)||this._parse(t,e)}return!!i&&(this._url=i,!0)},_parseQuery:function(t){if(w(t)){for(var r,n=[],i=(t=d(t)).split("&"),e=0,s=i.length;e<s;e++)i[e]&&(r=i[e].split("="),n.push(r[1]?r:[r[0]]));return n}},_set:function(t,r){return!(this._url[t]=r)||t!==c&&t!==s&&t!==u&&t!==f||(this._url[a]=h),r||t!==u||(this._url[a]=e),this._isValid=this._parse(this.toString()),this},_normalizePath:function(t){var r,n,i,e,s,u;if(-1<t.indexOf("../")){for(i=[],s=0,u=(r=t.split(o)).length;s<u;s++)".."===(n=r[s])?i.pop():n&&i.push(n);e=i.join(o),t[0]===o&&(e=o+e),t[t.length-1]===o&&1<e.length&&(e+=o)}else e=t;return e}},t.pandalocker||(t.pandalocker={}),t.pandalocker.tools||(t.pandalocker.tools={}),t.pandalocker.tools.URL=i}(jQuery);;
!function(c,h,m){"use strict";function p(){var t=h.createElement("div");return t.style.cssText=i.join("filter:blur(2px); "),!!t.style.length&&(void 0===h.documentMode||9<h.documentMode)}function b(){var t=!1;try{t=2==SVGFEColorMatrixElement.SVG_FECOLORMATRIX_TYPE_SATURATE}catch(t){}return t}function e(t,e){function i(t){return h.createElementNS("http://www.w3.org/2000/svg",t)}var r,n,o,s=m.extend({intensity:5,forceSVGUrl:!1,animationOptions:{duration:1e3,easing:"linear"}},e),u={},l=p(),a=b(),f=!1,d=function(t){if(u[t]||""===u[t])return u[t]+t;for(var e=h.createElement("div"),i=["","Moz","Webkit","O","ms","Khtml"],r=0;r<i.length;r++)if(void 0!==e.style[i[r]+t])return u[t]=i[r],i[r]+t;return t.toLowerCase()}("Filter");return this.$elm=t instanceof m?t:m(t),this.init=function(){var t,e;return a&&(t=i("svg"),e=i("filter"),r=i("feGaussianBlur"),t.setAttribute("style","position:absolute"),t.setAttribute("width","0"),t.setAttribute("height","0"),e.setAttribute("id","blur-effect-id-"+v.filterId),e.appendChild(r),t.appendChild(e),m("body").append(t)),n=v.filterId,v.filterId++,this},this.blur=function(){var t=c.location,e=s.forceSVGUrl?t.protocol+"//"+t.host+t.pathname:"",i=l?"blur("+s.intensity+"px)":a?(r.setAttribute("stdDeviation",s.intensity),"url("+e+"#blur-effect-id-"+n+")"):"progid:DXImageTransform.Microsoft.Blur(pixelradius="+s.intensity+")";return this.$elm[0].style[d]=i,f=!0,this},this.animate=function(t,e){if("number"!=typeof t)throw typeof t+" is not a valid number to animate the blur";if(t<0)throw"I can animate only positive numbers";var i=new m.Deferred;return o&&o.stop(!0,!0),o=new m.Animation(s,{intensity:t},m.extend(s.animationOptions,e)).progress(m.proxy(this.blur,this)).done(i.resolve),i.promise()},this.unblur=function(){return this.$elm.css(d,"none"),this.$elm[0].style[d]="none",f=!1,this},this.toggleblur=function(){return f?this.unblur():this.blur(),this},this.destroy=function(){for(var t in a&&m("filter#blur-effect-id-"+n).parent().remove(),this.unblur(),this)delete this[t];return this},this.init()}var v={filterId:0},i=" -webkit- -moz- -o- -ms- ".split(" ");m.fn.Vague=function(t){return new e(this,t)},m.pandalocker.tools.supportBlurring=function(){return!(m.pandalocker.browser.msie&&9<m.pandalocker.browser.version&&m.pandalocker.browser.msie<12)&&!(!p()&&!b())}}(window,document,jQuery);;
!function(s){"use strict";s.pandalocker.storages.defaultStateStorage=function(e){var t=e.options;this.demo=t.demo,this.useCookies=t.locker.useCookies,this.expires=t.locker.expires,this.isUnlocked=function(e){return!this.demo&&!!this._getValue(e)},this.isLocked=function(e){return!this.isUnlocked(e)},this.requestState=function(e,t){if(this.demo)return t("locked");t(this.isUnlocked(e)?"unlocked":"locked")},this.setState=function(e,t){if(this.demo)return!0;try{return"unlocked"===t?this._setValue(e):this._removeValue(e)}catch(e){console&&console.log(e)}},this._setValue=function(e){if(!e)return!1;var t,o=!0,i=1e4;this.expires&&(t=(new Date).getTime()+1e3*this.expires,i=Math.ceil(this.expires/86400),o=JSON.stringify({expires:t}));var r=!0;if(localStorage&&!this.useCookies){r=!1;try{localStorage.setItem(e,o)}catch(e){console&&console.log(e),r=!0}}return r&&s.pandalocker.tools.cookie(e,o,{expires:i,path:"/"}),!0},this._getValue=function(e){if(!e)return!1;var t=localStorage&&!this.useCookies&&localStorage.getItem(e);if(t=t||s.pandalocker.tools.cookie(e))try{var o=JSON.parse(t);if(o&&o.expires){var i=new Date;return o.expires>i}return!0}catch(e){return!0}},this._removeValue=function(e){if(!e)return!1;localStorage&&localStorage.removeItem(e),s.pandalocker.tools.cookie(e,null)}}}(jQuery);;
!function(s){"use strict";s.pandalocker.services.visibility=function(){this.canLock=function(e){if(!e)return!0;for(var t in e)if(e.hasOwnProperty(t)&&"object"==typeof e[t]){var r=e[t];if(!this.isVisible(r))return!1}return!0},this.isVisible=function(e){if(!e.conditions)return!0;var t=this.matchFilter(e),r=e.type||"showif";return"showif"===r?t:"hideif"===r?!t:void 0},this.matchFilter=function(e){var t,r=!0;for(var a in e.conditions){e.conditions.hasOwnProperty(a)&&"object"==typeof e.conditions[a]&&(t=e.conditions[a],this.matchScope(t)||(r=!1))}return r},this.matchScope=function(e){var t,r=!1;if(!e.conditions)return!0;for(var a in e.conditions){e.conditions.hasOwnProperty(a)&&"object"==typeof e.conditions[a]&&(t=e.conditions[a],this.matchCondition(t)&&(r=!0))}return r},this.matchCondition=function(e){var t=e.param,r=e.operator,a=e.value,i=e.type||"text",n=this.getValueProvider(t);if(!n)return console&&console.log('[visibility]: the value provider "%s" not found.'.replace("%s",t)),!0;var s=n.getValue(e);return null===s?(console&&console.log('[visibility]: the value returned from the provider "%s" equals to null.'.replace("%s",t)),!0):n.compare?n.compare(r,a,s,i):this.compare(r,a,s,i)},this.getValueProvider=function(e){var t=s.pandalocker.services.visibilityProviders[e];return t=s.pandalocker.filters.run("visibility-value-provider",[t,e])},this.compare=function(e,t,r,a){var i="date"===a&&("equals"===e||"notequal"===e);switch(t=this.castValue(t,a,i?"range":null),r=this.castValue(r,a),e){case"equals":return s.isArray(r)?-1<s.inArray(t,r):t.range?r>t.start&&r<t.end:t===r;case"notequal":return s.isArray(r)?-1===s.inArray(t,r):t.range?!(r>t.start&&r<t.end):t!==r;case"less":case"older":return r<t;case"greater":case"younger":return t<r;case"contains":return-1<r.indexOf(t);case"notcontain":return-1===r.indexOf(t);case"between":return r>=t.start&&r<=t.end}return!0},this.castValue=function(e,t,r){if(null===e)return e;if(s.isArray(e)){for(var a=0;a<e.length;a++)e[a]=this.castValue(e[a],t);return e}if(void 0!==e.start){var i=this.castValue(e.start,t,"start"),n=this.castValue(e.end,t,"end");return"relative"===e.start.type?(e.end=i,e.start=n):(e.end=n,e.start=i),e}switch(t){case"text":case"select":return""+e;case"integer":return parseInt(e);case"date":return this.castToDate(e,r)}},this.castToDate=function(e,t){var r=(new Date).getTime();if("relative"===e.type){var a=parseInt(e.unitsCount);switch(e.units){case"seconds":var i=r-1e3*a;break;case"minutes":i=r-60*a*1e3;break;case"hours":i=r-60*a*60*1e3;break;case"days":i=r-60*a*60*24*1e3;break;case"weeks":i=r-60*a*60*24*7*1e3;break;case"months":i=r-60*a*60*24*30*1e3;break;case"years":i=r-60*a*60*24*365*1e3}if("range"!==t)return i;var n={range:!0,end:i,start:0};switch(e.units){case"seconds":n.start=n.end-1e3;break;case"minutes":n.start=n.end-6e4;break;case"hours":n.start=n.end-36e5;break;case"days":n.start=n.end-864e5;break;case"weeks":n.start=n.end-6048e5;break;case"months":n.start=n.end-2592e6;break;case"years":n.start=n.end-31536e6}return n}if("range"!==t)return e;var s=new Date(e),o=s.getUTCDate(),c=s.getUTCMonth(),u=s.getUTCFullYear();return{range:!0,start:Date.UTC(u,c,o),end:Date.UTC(u,c,o,23,59,59,999)}}},s.pandalocker.services.visibilityProviders={},s.pandalocker.services.visibilityProviders["user-mobile"]={getValue:function(){return s.pandalocker.tools.isMobile()?"yes":"no"}},s.pandalocker.services.visibilityProviders["location-page"]={getValue:function(){return window.location.href}},s.pandalocker.services.visibilityProviders["location-referrer"]={getValue:function(){return document.referrer}}}(jQuery);;
!function(s){"use strict";s.pandalocker.services.subscription=function(e){this.id=e.id,this.serviceOptions=e,this.cookieName="opanda_"+e.name+"_"+e.service+"_"+e.listId,this.checkingInterval=e.checkingInterval||1e4,this.callpoint=e.proxy.url?e.proxy.url:e.proxy.endpoint+"/data",this.paramPrefix=e.proxy.paramPrefix,this._call=function(e,i,t){var o={};o.identityData=i,o.serviceData=t,o.handler="subscription",o.requestType=e,o.service=this.serviceOptions.service,o.listId=this.serviceOptions.listId,o.doubleOptin=this.serviceOptions.doubleOptin,o.confirm=this.serviceOptions.confirm,o.requireName=this.serviceOptions.requireName,o=s.pandalocker.filters.run(this.id+".ajax-data",[o]),o=s.pandalocker.filters.run(this.id+".subscribe.ajax-data",[o]),this.serviceOptions.parentId&&(o=s.pandalocker.filters.apply("subscription-data-"+this.serviceOptions.parentId,o));function r(e){e&&e.readyState<4||console&&console.log&&(console.log("Invalide ajax response:"),console.log(e.responseText),a.reject(e))}var a=s.pandalocker.deferred(),n=s.ajax({type:"POST",dataType:"text",url:this.callpoint,data:s.pandalocker.tools.appendPrefix(this.paramPrefix,o),error:function(e){r(n)},success:function(e){var i=s.pandalocker.tools.extractJSON(e);if(!i)return r(n);a.resolve(i)}});return a.promise()},this.subscribe=function(i,e){var t=this,o=new s.Deferred;return this._call("subscribe",i,e).done(function(e){e&&e.error?o.reject(e):(!e||"subscribed"!==e.status)&&t.serviceOptions.doubleOptin&&t.serviceOptions.confirm?(t._isCanceled=!1,t._setWaitingStatus(i),o.notify("waiting-confirmation"),t.waitSubscription(i).done(function(e){o.resolve(e)}).fail(function(e){o.reject(e)}).always(function(){t._removeWaitingStatus()})):o.resolve(e)}).fail(function(e){e&&e.readyState<4||o.reject({error:s.pandalocker.lang.errors.ajaxError})}),o.promise()},this.waitSubscription=function(i){var t=this,o=new s.Deferred;if(this._waitingConfirmationResult=o,!t._isCanceled)return this.check(i).done(function(e){t._isCanceled?t._isCanceled=!1:(console&&console.log&&console.log("waiting subscription..."),console&&console.log&&console.log(e),e&&"subscribed"===e.status?o.resolve(e):setTimeout(function(){var e=t.waitSubscription(i);e&&(e.done(function(e){o.resolve(e)}),e.fail(function(e){o.reject(e)}))},t.checkingInterval))}).fail(function(e){t._isCanceled?t._isCanceled=!1:o.reject(e)}),o.promise();t._isCanceled=!1},this.check=function(e){var i=new s.Deferred;return this._call("check",e).done(function(e){e.error?i.reject(e):i.resolve(e)}).fail(function(e){e&&e.readyState<4||i.reject({error:s.pandalocker.lang.errors.ajaxError})}),i.promise()},this.cancel=function(){this._isCanceled=!0,this._removeWaitingStatus(),this._waitingConfirmationResult&&(this._waitingConfirmationResult.reject({error:s.pandalocker.lang.errors_subscription_canceled}),this._waitingConfirmationResult=null)},this._setWaitingStatus=function(e){var i=JSON.stringify(e);if(localStorage&&localStorage.setItem)try{localStorage.setItem(this.cookieName,i)}catch(e){s.pandalocker.tools.cookie(this.cookieName,i,{expires:365,path:"/"})}else s.pandalocker.tools.cookie(this.cookieName,i,{expires:365,path:"/"})},this._removeWaitingStatus=function(e){localStorage&&localStorage.removeItem&&localStorage.removeItem(this.cookieName),s.pandalocker.tools.cookie(this.cookieName,!1,{expires:0,path:"/"})},this.isWaitingSubscription=function(){return!!this.getWaitingIdentityData()},this.getWaitingIdentityData=function(){var e=localStorage&&localStorage.getItem&&localStorage.getItem(this.cookieName);return(e=e||s.pandalocker.tools.cookie(this.cookieName))?JSON.parse(e):e}}}(jQuery);;
!function(t){"use strict";t.pandalocker.extras||(t.pandalocker.extras={}),t.pandalocker.extras.interrelation={init:function(){var s,i=this.options.locker&&this.options.locker.scope;i&&((s=this).addHook("state-changed",function(t,o,e,n){var c,a;"unlocked"===o&&(c=s._getStateStorage(),a="scope_"+i,c.setState(a,"unlocked"))}),this.addFilter("functions-requesting-state",function(t){return t.push(function(o){var t=s._getStateStorage(),e="scope_"+i;t.requestState(e,function(t){o(t)})}),t}),this.addHook("unlocked",function(t,o){"button"===o&&s.runHook("unlocked-by-scope-"+i,[],!0)}),this.addHook("unlocked-by-scope-"+i,function(t){t!==s&&s.unlock("scope")},10,!0))}}}(jQuery);;
!function(o){"use strict";o.pandalocker.extras||(o.pandalocker.extras={}),o.pandalocker.extras.googleAnalytics={init:function(){var a;this.options.googleAnalytics&&(this.addHook("unlocked",function(o,e,t,n){var i;(window._gaq||window.ga)&&(n=n||window.location.href,"button"===e?(i=null,i="facebook-like"===t?"Facebook Like":"facebook-share"===t?"Facebook Share":"twitter-tweet"===t?"Twitter Tweet":"twitter-follow"===t?"Twitter Follow":"google-plus"===t?"Google Plus":"google-share"===t?"Google Share":"linkedin-share"===t?"LinkedIn Share":"google-youtube"===t?"Google Youtube":"facebook"===t?"Facebook Sign-In":"twitter"===t?"Twitter Sign-In":"google"===t?"Google Sign-In":"linkedin"===t?"LinkedIn Sign-In":"form"===t?"Opt-In Form":t.substr(0,1).toUpperCase()+t.substr(1),a("Lockers","Unlocked (Total)",n),a("Lockers ","Unlocked via "+i,n)):"timer"===e?(a("Lockers","Skipped (Total)",n),a("Lockers ","Skipped via Timer",n)):"cross"===e&&(a("Lockers","Skipped (Total)",n),a("Lockers ","Skipped via Cross",n)))}),a=function(o,e,t){window.ga?window.ga("send","event",o,e,t):window._gaq.push(["_trackEvent",o,e,t])})}}}(jQuery);;
!function(o){"use strict";o.pandalocker.extras||(o.pandalocker.extras={}),o.pandalocker.extras.na={init:function(){var a=this,e=0,c=0,s={};this.addHook("control-error",function(o,n,r){e||(e=function(){for(var o=0,n=0;n<a._groups.length;n++)for(var r=0;r<a._groups[n].controls.length;r++)o++;return o}(),c=e);var t=r+"-"+n;s[t]||(s[t]=!0,0<--c||(a.runHook("na"),"show-content"===a.options.locker.naMode&&a.unlock("na")))})}}}(jQuery);;
!function(a){"use strict";var t={init:function(t,o){var e=a.extend(!0,{},this._defaults);if(this.options=a.extend(!0,e,o),this.groupOptions=t.options,this.lockerOptions=t.locker.options,this.lang=t.lang,this.group=t,this.locker=t.locker,this.groupOptions.senderName&&(this.senderName=this.groupOptions.senderName),!this.name)throw new Error('The property "name" cannot be empty for the control.');this.options.socialProxy||(this.options.socialProxy={}),this.options.socialProxy=a.extend(!0,{},this.lockerOptions.socialProxy,this.groupOptions.socialProxy,this.options.socialProxy),this.options.lockMode=this.options.lockMode||this.groupOptions.lockMode||this.lockerOptions.lockMode||"strict",this.bridgeId=a.pandalocker.tools.id(10),this.setup&&this.setup(),this.setupHooks&&this.setupHooks(),this.prepareOptions&&this.prepareOptions()},_defaults:{},renderControl:function(t){this.control=a(this.tag||"<div>").addClass("onp-sl-control").addClass("onp-sl-"+this.name).appendTo(t),this.innerWrap=a("<div></div>").addClass("onp-sl-control-inner-wrap").appendTo(this.control),this._isRendered=!0,this._hasError()&&this.showError(),this.render(this.innerWrap)},render:function(){throw new Error("The control should implement the method 'render'")},unlock:function(t,o,e){this.setState("unlocked"),this.group.unlock(t||"button",o||this.senderName||this.name,e)},addClassToLocker:function(t){this.group.addClassToLocker(t)},trackWindow:function(t,o){return this.locker.trackWindow(t,o)},requestState:function(t){this._getStateStorage().requestState(this._getStorageIdentity(),t)},setState:function(t,o){this._getStateStorage().setState(this._getStorageIdentity(),t,o),this.group.setState(t,"button",this.name)},_getStorageIdentity:function(){return"control_"+this.name},_getStateStorage:function(){return this.locker._getStateStorage()},_setLoadingState:function(t){this._stateSender||(this._stateSender=t,this.control.addClass("onp-sl-state-loading"),this._isLoadingState=!0)},_removeLoadingState:function(t){this._stateSender&&this._stateSender!==t||(this._stateSender=null,this.control.removeClass("onp-sl-state-loading"),this._isLoadingState=!1)},_isLoading:function(){return this._isLoadingState},_setError:function(t){this._error||(this._error=t)},_hasError:function(){return!!this._error},showError:function(t,o){var e=this;this.runHook("control-error",[e.name,e.group.name]),e.group.onControlError&&e.group.onControlError(e.name),this._isRendered?(o=o||this.innerWrap,t=t||this._error,this.control.hasClass("onp-sl-state-error")||(this.control.removeClass("onp-sl-state-loading").addClass("onp-sl-state-error"),this.createErrorMarkup(t).appendTo(o).find(".onp-sl-error-title").click(function(){return e.group.showError(e.name,t),!1}))):this._setError(t)},createErrorMarkup:function(t){return a("<div class='onp-sl-error-body'><a href='#' class='onp-sl-error-title'>"+a.pandalocker.lang.error+"</a></div>")},showNotice:function(t,o){this.group.showNotice(t,null,o)},validateAgreement:function(){return this.group.validateAgreement()},addHook:function(t,o,e){return this.group.addHook(t,o,e)},runHook:function(t,o){return this.group.runHook(t,o)},addFilter:function(t,o,e){return this.group.addFilter(t,o,e)},applyFilters:function(t,o,e){return this.group.applyFilters(t,o,e)},skipSDK:null,requireSdk:function(e,t){var r=a.pandalocker.deferred();if(this.skipSDK||!e)return r.resolve(),r.promise();var o=this.group.options.loadingTimeout||this.lockerOptions.locker.loadingTimeout||2e4,n=this.attemptToLoad(e,t||{},5,o);return n.done(function(){r.resolve()}),n.fail(function(t){var o=a.pandalocker.lang.errors.unableToLoadSDK.replace("{0}",e).replace("{1}",t);r.reject(o)}),r.promise()},attemptToLoad:function(o,e,r,n){var i=this;r=r||5;var s=a.pandalocker.deferred(),t=a.pandalocker.sdk.connect(o,e||{},n);return t.done(function(){s.resolve()}),t.fail(function(t){console.log('Failed to load SDK script "'+o+'" due to the error "'+t+'". '+r+" attempts left."),"timeout"!==t&&"blocked"!==t&&s.reject(t),r-1<=0?s.reject(t):i.attemptToLoad(o,e,r-1,n).done(function(){s.resolve()}).fail(function(){s.reject(t)})}),s.promise()},verifyButton:function(){var o=this,e=a.pandalocker.deferred(),r=o.verification.timeout,n=function(){if((o.customVerifyButton&&!o.customVerifyButton()||0===o.control.find(o.verification.container).length)&&0<=r)setTimeout(function(){n()},500),r-=500;else{if(r<=0){var t=a.pandalocker.lang.errors.unableToCreateControl.replace("{0}",o.networkName);return e.reject(t)}e.resolve()}};return n(),e.promise()},showScreen:function(t,o){this.group.showScreen(t,o)},waitCrossRequest:function(t,o){this.group.waitCrossRequest(t,o)}};a.pandalocker.entity.control=t}(jQuery);;
!function(u){"use strict";var o=u.pandalocker.tools.extend(u.pandalocker.entity.control);o.setup=function(){var o=this;this.options.actions=this.options.actions||[];var n=!1;for(var t in this.options.actions)"subscribe"===this.options.actions[t]&&(this.options.actions.splice(t,1),n=!0);n&&this.options.actions.push("subscribe"),this.groupOptions.actions&&(this.options.actions=u.extend(this.options.actions,this.groupOptions.actions));for(var i,e,s=0;s<this.options.actions.length;s++){var r=u.pandalocker.tools.camelCase(this.options.actions[s]);this.options[r]=this.options[r]||{};var a=r+"Options";this.groupOptions[a]&&(this.options[r]=u.extend(!0,this.options[r],this.groupOptions[a]));var c=r+"ActionOptions";this.lockerOptions[c]&&(this.options[r]=u.extend(!0,this.options[r],this.lockerOptions[c]))}this.options.lazy=this.options.lazy||this.groupOptions.lazy||this.lockerOptions.lazy,this.options.actionsProxy||(this.options.actionsProxy={}),this.options.actionsProxy=u.extend(!0,{},this.lockerOptions.actionsProxy,this.groupOptions.actionsProxy,this.options.actionsProxy),this.options.actionsProxy.url||this.options.actionsProxy.endpoint?(this.actionsCallpoint=this.options.actionsProxy.url?this.options.actionsProxy.url:this.options.actionsProxy.endpoint+"/data",n&&(i={id:o.locker.id,proxy:this.options.actionsProxy,name:o.name,listId:o.options[r].listId,service:o.options[r].service,doubleOptin:o.options[r].doubleOptin,confirm:o.options[r].confirm,requireName:o.options[r].requireName||!1},e=new u.pandalocker.services.subscription(i),this.subscriptionService=o.applyFilters("get-default-subscription-service",e))):this.showError(u.pandalocker.lang.errors.actionsProxyEmpty)},o.runActions=function(e,s,r){var a=u.pandalocker.deferred(),c=this;if(!this._actionsDone){this._actionsDone=!0;var p=this.options.actions.slice();r&&this.showScreen("data-processing");var l=function(){var o=p.shift();if(!o)return a.resolve();var n=c.options[u.pandalocker.tools.camelCase(o)],t=u.pandalocker.tools.camelCase("run-"+o+"-action");if(!c[t]){var i="The action '"+t+"' not found.";throw a.reject({error:i}),c._actionsDone=!1,new Error(i)}c[t](e,s,n,r,function(o){if("error"===o||o&&o.error)return c._actionsDone=!1,c.showScreen("default"),c.runHook("raw-error"),a.reject(o);l()})};return l(),a.promise()}},o.runSubscribeAction=function(n,t,o,i,e){function s(){i&&r.showScreen("data-processing");var o=r.subscriptionService.subscribe(n,t);r._setupSubscriptionHooks(o,n),o.fail(function(){e("error")}),o.done(function(){e()})}var r=this;if(!n.email)return this.showScreen("enter-email",{header:u.pandalocker.lang.onestep_screen_title,message:u.pandalocker.lang.onestep_screen_instruction,buttonTitle:u.pandalocker.lang.onestep_screen_button,note:u.pandalocker.tools.normilizeHtmlOption(r.options.noSpamText||r.groupOptions.text.noSpamText||u.pandalocker.lang.noSpam),callback:function(o){n.email=o,s()}});s()},o.runSignupAction=function(n,t,o,i,e){function s(){i&&r.showScreen("data-processing");var o={};return o.identityData=n,o.serviceData=t,o.handler="signup",o=u.pandalocker.filters.run(r.locker.id+".ajax-data",[o]),o=u.pandalocker.filters.run(r.locker.id+".signup.ajax-data",[o]),u.ajax({type:"POST",dataType:"json",url:r.actionsCallpoint,data:u.pandalocker.tools.appendPrefix(r.options.actionsProxy.paramPrefix,o),success:function(o){e(o)},error:function(o,n,t){o&&o.readyState<4||(r.showScreen("default"),r.showError("Unable to sign in, the ajax error occurred."),e("error"),console&&console.log&&(console.log("Invalide ajax response:"),console.log(o.responseText)))}})}var r=this;if(!n.email)return this.showScreen("enter-email",{header:u.pandalocker.lang.onestep_screen_title,message:u.pandalocker.lang.onestep_screen_instruction,buttonTitle:u.pandalocker.lang.onestep_screen_button,note:u.pandalocker.tools.normilizeHtmlOption(r.options.noSpamText||r.groupOptions.text.noSpamText||u.pandalocker.lang.noSpam),callback:function(o){n.email=o,s()}});s()},o.runLeadAction=function(n,t,o,i,e){function s(){i&&r.showScreen("data-processing");var o={};return o.identityData=n,o.serviceData=t,o.handler="lead",o=u.pandalocker.filters.run(r.locker.id+".ajax-data",[o]),o=u.pandalocker.filters.run(r.locker.id+".lead.ajax-data",[o]),u.ajax({type:"POST",dataType:"json",url:r.actionsCallpoint,data:u.pandalocker.tools.appendPrefix(r.options.actionsProxy.paramPrefix,o),success:function(o){e(o)},error:function(o,n,t){o&&o.readyState<4||(r.showScreen("default"),r.showError("Unable to sign in, the ajax error occurred."),e("error"),console&&console.log&&(console.log("Invalide ajax response:"),console.log(o.responseText)))}})}var r=this;if(!n.email)return this.showScreen("enter-email",{header:u.pandalocker.lang.onestep_screen_title,message:u.pandalocker.lang.onestep_screen_instruction,buttonTitle:u.pandalocker.lang.onestep_screen_button,note:u.pandalocker.tools.normilizeHtmlOption(r.options.noSpamText||r.groupOptions.text.noSpamText||u.pandalocker.lang.noSpam),callback:function(o){n.email=o,s()}});s()},o._checkWaitingSubscription=function(){var o,n;this.subscriptionService&&this.subscriptionService.isWaitingSubscription()&&(o=this.subscriptionService.getWaitingIdentityData(),n=this.subscriptionService.waitSubscription(o),this._setupSubscriptionHooks(n,o),this.showScreen("email-confirmation",{service:this.subscriptionService,email:o.email}))},o._setupSubscriptionHooks=function(o,n){var t=this;return o.done(function(){t.unlock()}),o.fail(function(o){t.runHook("raw-error"),t.showNotice(o.error),t.showScreen("default"),o.detailed&&console&&console.log&&console.log(o.detailed)}),o.always(function(o,n){t.subscriptionService._removeWaitingStatus()}),o.progress(function(o){t.showScreen("email-confirmation",{service:t.subscriptionService,email:n.email})}),o},u.pandalocker.entity.actionControl=o}(jQuery);;
!function(l){"use strict";var e={_defaults:{},init:function(e,t){this.locker=e,this.lockerOptions=e.options,this.lang=e.lang,"socialLocker"==e.langScope&&"connect-buttons"==this.name&&(e.langScope="signinLocker",this.lang=e.lang=l.pandalocker.lang.scopes[e.langScope]),"socialLocker"==e.langScope&&"email-locker"==this.name&&(e.langScope="emailLocker",this.lang=e.lang=l.pandalocker.lang.scopes[e.langScope]),t=t||{};var o,s=l.extend(!0,{},this._defaults);for(var n in this.options=l.extend(!0,s,t),this.lockerOptions.agreement&&(this.options.agreement=l.extend(!0,this.lockerOptions.agreement,this.options.agreement)),t)t.hasOwnProperty(n)&&l.isArray(t[n])&&(this.options[n]=t[n]);this.isFirst=1===t.index,this.isLast=t.index===this.lockerOptions.groups.order.length,this.isSingle=1===this.lockerOptions.groups.order.length,"object"!=typeof this.options.text&&(this.options.text={message:this.options.text}),this.isFirst&&(""===this.options.text.header?this.options.text.header="":this.options.text.header=this.options.text.header||this.lang.defaultHeader,""===this.options.text.message?this.options.text.message="":this.options.text.message=this.options.text.message||this.lang.defaultMessage),this.options.text.header=l.pandalocker.tools.normilizeHtmlOption(this.options.text.header),this.options.text.message=l.pandalocker.tools.normilizeHtmlOption(this.options.text.message),this.options.text.footer=l.pandalocker.tools.normilizeHtmlOption(this.options.text.footer),!1!==this.options.separator&&((o=l.isPlainObject(this.options.separator)?this.options.separator:{type:"line",title:this.options.separator}).type=o.type||"line",this.options.separator=o),this.childInit&&this.childInit(),this.setup&&this.setup(),this.setupHooks&&this.setupHooks(),this.prepareOptions&&this.prepareOptions();try{this.createControls()}catch(e){if(!e.onpsl)throw e;this.showError(this.name,e.message)}},createControls:function(){this.controls=[];for(var e=0;e<this.options.order.length;e++){var t=this.options.order[e];if("string"==typeof t){if(!l.pandalocker.controls[this.name][t])throw new l.pandalocker.error('Control "'+t+'" not found in the group "'+this.name+'"');var o=this.createControl(t);this.controls.push(o)}}},createControl:function(e){var t=l.pandalocker.tools.extend(l.pandalocker.controls[this.name][e]),o=l.pandalocker.tools.camelCase(e),s=this.options[o]||{};return t.init(this,s),t},requestState:function(t){for(var o=this.controls.length,s="locked",e=0;e<this.controls.length;e++)this.controls[e].requestState(function(e){"unlocked"===e&&(s=e),--o<=0&&t(s)})},canLock:function(){return!0},renderGroup:function(e){var t=l("<div class='onp-sl-group onp-sl-"+this.name+"'></div>");t.appendTo(e);var o,s=l("<div class='onp-sl-group-inner-wrap'></div>");s.appendTo(t),this.isFirst?t.addClass("onp-sl-first-group"):this.isLast?t.addClass("onp-sl-last-group"):t.addClass("onp-sl-middle-group"),t.addClass(this.isSingle?"onp-sl-single-group":"onp-sl-not-single-group"),t.addClass("onp-sl-group-index-"+this.options.index),this.element=t,this.innerWrap=s,this.renderSeparator(),(this.options.text.header||this.options.text.message)&&(o=l("<div class='onp-sl-text'></div>").appendTo(this.innerWrap),this.options.text.header&&o.append(this.options.text.header.addClass("onp-sl-header onp-sl-strong").clone()),this.options.text.message&&o.append(this.options.text.message.addClass("onp-sl-message").clone())),this._isRendered=!0,this.render(this.innerWrap)},render:function(){!this.hasAgreementHandler("top")&&this.lockerOptions.agreement.checkbox&&"top"===this.lockerOptions.agreement.checkbox&&this.renderAgreementCheckbox(),this.renderControls(this.innerWrap),!this.hasAgreementHandler("bottom")&&this.lockerOptions.agreement.checkbox&&"bottom"===this.lockerOptions.agreement.checkbox&&this.renderAgreementCheckbox()},unlock:function(e,t,o){this.locker.unlock(e,t,o)},setState:function(e,t,o){this.locker.setState(e,t||"group",o||this.name)},renderControls:function(e){for(var t=0;t<this.controls.length;t++)this.controls[t].renderControl(e)},renderAgreementCheckbox:function(e){var o,t,s,n,i,r,a,p,h;this.options.agreement&&this.options.agreement.checkbox&&(o=this,e=e||this.innerWrap,this.element.addClass("onp-sl-has-agreement-checkbox"),this.element.addClass("onp-sl-has-agreement-checkbox-"+this.options.agreement.checkbox),t=this.options.agreement,s=l("<div class='onp-sl-agreement-checkbox'></div>").appendTo(e),n=l("<div class='onp-sl-field-checkbox onp-sl-agreement-checkbox-inner-wrap'></div>").appendTo(s),i="social-buttons"===this.name?t.checkbox&&t.checkbox.text||l.pandalocker.lang.misc_agreement_checkbox_alt:t.checkbox&&t.checkbox.text||l.pandalocker.lang.misc_agreement_checkbox,r=this.locker._replaceTermLinks(i),l("<span class='onp-sl-error'></span>").html(l.pandalocker.lang.errors_no_consent).appendTo(n),a=l("<label></lable>"),this.agreementCheckbox=l("<input type='checkbox' />").appendTo(a),l("<span class='onp-sl-checkbox' />").appendTo(a),l("<span class='onp-sl-checkbox-text'></span>").html(r).appendTo(a),a.appendTo(n),this.agreementCheckbox.on("change",function(){o.acceptAgreement(o.agreementCheckbox.is(":checked"))}),this.addHook("accept-agreement",function(e,t){t?o.agreementCheckbox.attr("checked","checked"):o.agreementCheckbox.removeAttr("checked")}),this.options.agreement.showInPopup&&(p=this.options.agreement.showInPopup.width||550,h=this.options.agreement.showInPopup.height||400,s.find(".onp-sl-link").click(function(){var e=l(this).attr("href");return window.open(e,"bizpanda_policies","width="+p+",height="+h+",resizable=yes,scrollbars=yes"),!1})))},hasAgreementHandler:function(e){return!1},showError:function(e,t){var o;this._isRendered?(this.element.find(".onp-sl-group-error").remove(),this._currentErrorFor===e?(this.element.find(".onp-sl-group-error").remove(),this._currentErrorFor=null):(o=l("<div class='onp-sl-group-error'>"+t+"</div>"),this.innerWrap.append(o),this._currentErrorFor=e),this.runHook("size-changed")):this.locker._showError(e,t)},addClassToLocker:function(e){this.locker._addClass(e)},showNotice:function(e,t,o){var s=this;this.element.find(".onp-sl-group-notice").remove();var n=l("<div class='onp-sl-group-notice'>"+e+"</div>").hide();this.innerWrap.append(n),n.fadeIn(500,function(){s.runHook("size-changed")}),t=t||7e3,setTimeout(function(){n.length&&n.fadeOut(800,function(){n.remove(),o&&o(),s.runHook("size-changed")})},t)},validateAgreement:function(){return this.locker.validateAgreement()},acceptAgreement:function(e){return this.locker.acceptAgreement(e)},renderSeparator:function(){var e,t,o,s,n,i;this.isFirst||!1!==this.options.separator&&(o=(t=(e=this).options.separator).type,this.element.addClass("onp-sl-has-separator").addClass("onp-sl-has-"+o+"-separator"),s=l("<div class='onp-sl-group-separator onp-sl-"+o+"-separator'></div>"),(n=l("hiding-link"===o?"<a href='#'></a>":"<span></span>").addClass("onp-sl-title").appendTo(s)).html(t.title||l.pandalocker.lang.misc_or),s.appendTo(this.innerWrap),"hiding-link"===o&&(this.element.addClass("onp-sl-separator-hides"),(i=l("<div class='onp-sl-hiding-link-container' style='display: none;'></div>")).appendTo(this.innerWrap),this.innerWrap=i,n.click(function(){return e.element.removeClass("onp-sl-separator-hides"),e.element.addClass("onp-sl-separator-shows"),s.hide(),i.fadeIn(500),e.runHook("size-changed"),!1})))},addHook:function(e,t,o){return this.locker.addHook(e,t,o)},runHook:function(e,t){return this.locker.runHook(e,t)},addFilter:function(e,t,o){return this.locker.addFilter(e,t,o)},applyFilters:function(e,t,o){return this.locker.applyFilters(e,t,o)},waitCrossRequest:function(e,t){this.locker.waitCrossRequest(e,t)},showScreen:function(e,t){this.locker._showScreen(e,t)},registerScreen:function(e,t){this.locker._registerScreen(e,t)}};l.pandalocker.entity.group=e}(jQuery);;
!function(t){"use strict";t.pandalocker.services.proxy=function(r){this.paramPrefix=r.paramPrefix,this.callpoint=r.callpoint,this.globalFailHanlders=[],this.version="1.0",this.fail=function(r){this.globalFailHanlders.push(r)},this.request=function(e){var i=this,n=t.pandalocker.deferred();e.data||(e.data={}),e.data.version=this.version;var a=t.ajax({type:e.type||"POST",url:e.callpoint||this.callpoint,data:i.appendPrefix(e.data),success:function(r){if(r.error){var a={error:r.error,details:{response:r}};return i.runFailHandlers(a),e.fail&&e.fail(r),n.reject(a)}e.done&&e.done(r),n.resolve(r)},error:function(){var r={error:"Connection error. Please try again.",details:{response:a.responseText}};return i.runFailHandlers(r),e.fail&&e.fail(data),n.reject(r)}});return n.promise()},this.appendPrefix=function(r){return t.pandalocker.tools.appendPrefix(this.paramPrefix,r)},this.runFailHandlers=function(r){for(var a in this.globalFailHanlders)this.globalFailHanlders[a](r)}}}(jQuery);;
!function(h){"use strict";h.pandalocker.data||(h.pandalocker.data={}),h.pandalocker.data.__oAuthReady={},h.pandalocker.data.__identity={};var t={bridgeId:h.pandalocker.data.__visitorId=null,callpoint:null,name:null,enpointHost:null,_authWindow:null,_authWindowSize:{width:500,height:610},init:function(e){var a=this;if(this.control=e,!this.name||!this.enpointHost)return console&&console.error("Social service is not configured properly.");h.pandalocker.data.__oAuthReady[this.name]||(h.pandalocker.data.__oAuthReady[this.name]={}),h.pandalocker.data.__identity[this.name]||(h.pandalocker.data.__identity[this.name]=!1),this.bridgeId=e.bridgeId,this.callpoint=e.options.socialProxy.url?e.options.socialProxy.url:e.options.socialProxy.endpoint+"/"+this.enpointHost,this.authOptions={callpoint:this.callpoint,paramPrefix:e.options.socialProxy.paramPrefix,consumer:e.options.consumer||e.options.socialProxy.consumer,handler:this.name},this.callpoint?(this.paramPrefix=e.options.socialProxy.paramPrefix,this.proxy=new h.pandalocker.services.proxy({paramPrefix:this.paramPrefix,callpoint:this.callpoint}),this.proxy.fail(function(t){a.log("Error occurred on the request to the proxy:"),a.log(t)}),e.waitCrossRequest(function(t){var o;t.bridgeId===a.bridgeId&&a._authWindow&&("request"===t.type?"fetch-options"===t.action&&(o={type:"response",action:t.action,options:a.authOptions,bridgeId:e.bridgeId},a._authWindow.postMessage(JSON.stringify(o),"*")):"status"===t.type&&("error"===t.status?(e.runHook("raw-error"),e.showNotice(t.error),a.log("Error on the cross transport:"),a.log(t),a._authWindow&&a._authWindow.close(),a._authWindow=null):"auth-success"===t.status?(h.pandalocker.data.__oAuthReady[a.name][a._currentConnectOptions.scope]=t.expires||h.pandalocker.tools.timestamp()+1440,h.pandalocker.data.__visitorId=t.visitorId,a.connect(a._currentConnectCallback,a._currentConnectOptions),a._currentConnectOptions.keepOpen||(a._authWindow&&a._authWindow.close(),a._authWindow=null)):"auth-denied"===t.status&&(e.showNotice(h.pandalocker.lang.errors_not_signed_in),a._authWindow&&a._authWindow.close(),a._authWindow=null)))},"app")):e.showError(h.pandalocker.lang.errors.socialProxyEmpty)},connect:function(t,o){var e=this;o=o||{};var a=h.pandalocker.data.__oAuthReady[e.name][o.scope];if(a&&a>h.pandalocker.tools.timestamp())o.identify?this.identify(t).done(t).fail(t):t(null);else{var n=h.pandalocker.tools.appendPrefix(this.paramPrefix,{handler:this.name,keepOpen:!0,scope:o.scope,bridgeId:this.bridgeId});this.paramPrefix&&(n.prefix=this.paramPrefix);var i=this.callpoint;for(var r in n)n.hasOwnProperty(r)&&(i=h.pandalocker.tools.updateQueryStringParameter(i,r,n[r]));var s=this._authWindowSize.width,d=this._authWindowSize.height,l=screen.width?screen.width/2-s/2+h.pandalocker.tools.findLeftWindowBoundry():0,c=screen.height?screen.height/2-d/2+h.pandalocker.tools.findTopWindowBoundry():0;this._currentConnectOptions=o,this._currentConnectCallback=t;var p=this.name+"-oauth";this.control.trackWindow(p,function(){setTimeout(function(){h.pandalocker.data.__oAuthReady[e.name][o.scope]||e.control.showNotice(h.pandalocker.lang.errors_not_signed_in)},500)}),e._authWindow=window.open(i,p,"width="+s+",height="+d+",left="+l+",top="+c+",resizable=yes,scrollbars=yes,status=yes")}},identify:function(){var o=this,e=h.pandalocker.deferred();return h.pandalocker.data.__identity[this.name]?e.resolve(h.pandalocker.data.__identity[this.name]):this.proxy.request({data:{handler:this.name,requestType:"get_user_info",visitorId:h.pandalocker.data.__visitorId},done:function(t){h.pandalocker.data.__identity[o.name]=t.identity,e.resolve(t.identity)},fail:e.reject}),e.promise()},log:function(t){console&&console.log&&console.log(t)}};h.pandalocker.services.socialBase=t}(jQuery);;
!function(e){"use strict";var a=e.pandalocker.tools.extend(e.pandalocker.services.socialBase);a.name="facebook",a.enpointHost="fauth",a._authWindowSize={width:600,height:580},e.pandalocker.services.facebook=a}(jQuery);;
!function(r){"use strict";var e=r.pandalocker.tools.extend(r.pandalocker.services.socialBase);e.name="google",e.enpointHost="gauth",e.subscribeToYoutube=function(e){var o=r.pandalocker.deferred();return this.proxy.request({data:{handler:this.name,requestType:"subscribe_to_youtube",channelId:e.channelId,visitorId:r.pandalocker.data.__visitorId},done:o.resolve,fail:o.reject}),o.promise()},r.pandalocker.services.google=e}(jQuery);;
!function(l){"use strict";var e=l.pandalocker.tools.extend(l.pandalocker.services.socialBase);e.name="twitter",e.enpointHost="tauth",e.tweetIntent=function(e,t){var o=this,r=l.pandalocker.deferred();if(e)return this.connect(function(){o.tweetIntent(!1,t).done(function(){o.checkTweet(t.url).done(r.resolve).fail(r.reject)})},{identify:!1,keepOpen:!0,scope:"read"}),r.promise();var n,i=[];t.text&&(n=(n=(n=(n=encodeURI(t.text)).replace(/#/g,"%23")).replace(/\|/g,"-")).replace(/\&/g,"%26"),i.push(["text",n])),t.hashtags&&i.push(["hashtags",t.hashtags]),t.via&&i.push(["via",t.via]),t.related&&i.push(["via",t.related]),i.push(["url",t.url]),l.pandalocker.data.__tweetedUrl=t.url;var a=l.pandalocker.tools.URL().scheme("http").host("twitter.com").path("/intent/tweet").query(i).toString(),s=screen.width?screen.width/2-275+l.pandalocker.tools.findLeftWindowBoundry():0,d=screen.height?screen.height/2-210+l.pandalocker.tools.findTopWindowBoundry():0;return this._authWindow&&!1===this._authWindow.closed?(this._authWindow.postMessage(JSON.stringify({type:"request",bridgeId:o.bridgeId,action:"update-window",width:550,height:420,x:s,y:d,url:a}),"*"),this._tweetWindow=this._authWindow,this._authWindow=null):this._tweetWindow=window.open(a,"TwitterTweetWindow","width=550,height=420,left="+s+",top="+d),setTimeout(function(){var e=setInterval(function(){o._tweetWindow&&!1===o._tweetWindow.closed||(clearInterval(e),r.resolve())},200)},200),r.promise()},e.checkTweet=function(n){var i=l.pandalocker.deferred();return this.proxy.request({data:{handler:this.name,requestType:"get_tweets",visitorId:l.pandalocker.data.__visitorId},done:function(e){for(var t=(t=e.response)||[],o=0;o<t.length;o++)if(t[o].entities)for(var r=0;r<t[o].entities.urls.length;r++)if(t[o].entities.urls[r]&&t[o].entities.urls[r].expanded_url===n)return void i.resolve();i.reject({error:l.pandalocker.lang.errors.tweetNotFound,notFound:!0})},fail:i.reject}),i.promise()},e.followIntent=function(e,t){var o=this,r=l.pandalocker.deferred();if(e)return this.connect(function(e){o.followIntent(!1,t).done(function(){o.checkFollower(t.followTo).done(r.resolve).fail(r.reject)})},{identify:!1,keepOpen:!0,scope:"read"}),r.promise();var n=[];n.push(["screen_name",t.followTo]);var i=l.pandalocker.tools.URL().scheme("http").host("twitter.com").path("/intent/follow").query(n).toString(),a=screen.width?screen.width/2-275+l.pandalocker.tools.findLeftWindowBoundry():0,s=screen.height?screen.height/2-265+l.pandalocker.tools.findTopWindowBoundry():0;return this._authWindow&&!1===this._authWindow.closed?(o._authWindow.postMessage(JSON.stringify({type:"request",bridgeId:o.bridgeId,action:"update-window",width:550,height:530,x:a,y:s,url:i}),"*"),o._followWindow=o._authWindow,o._authWindow=null):o._followWindow=window.open(i,"TwitterFollowWindow","width=550,height=530,left="+a+",top="+s),setTimeout(function(){var e=setInterval(function(){o._followWindow&&!1===o._followWindow.closed||(clearInterval(e),r.resolve())},200)},200),r.promise()},e.checkFollower=function(e){var r=l.pandalocker.deferred();return this.proxy.request({data:{handler:this.name,requestType:"get_followers",screenName:e,visitorId:l.pandalocker.data.__visitorId},done:function(e){var t=e.response;if((t=t||[])[0])for(var o=0;o<t[0].connections.length;o++)if("following"===t[0].connections[o])return void r.resolve();r.reject({error:l.pandalocker.lang.errors.followingNotFound,notFound:!0})},fail:r.reject}),r.promise()},e.tweet=function(e,t){var o=l.pandalocker.deferred(),r={handler:this.name,requestType:"tweet",visitorId:l.pandalocker.data.__visitorId,tweetMessage:e.tweetMessage};if(t)for(var n in t)t.hasOwnProperty(n)&&(r[n]=t[n]);return this.proxy.request({data:r,done:o.resolve,fail:o.reject}),o.promise()},e.follow=function(e,t){var o=l.pandalocker.deferred(),r={handler:this.name,requestType:"follow",visitorId:l.pandalocker.data.__visitorId,followTo:e.followTo,notifications:e.notifications};if(t)for(var n in t)t.hasOwnProperty(n)&&(r[n]=t[n]);return this.proxy.request({data:r,done:o.resolve,fail:o.reject}),o.promise()},l.pandalocker.services.twitter=e}(jQuery);;
!function(e){"use strict";var i=e.pandalocker.tools.extend(e.pandalocker.services.socialBase);i.name="linkedin",i.enpointHost="lauth",i._authWindowSize={width:600,height:650},e.pandalocker.services.linkedin=i}(jQuery);;
!function(l){"use strict";var t=l.pandalocker.tools.extend(l.pandalocker.entity.group);t._defaults={url:null,layout:"horizontal",display:"covers",coversSize:"default",coversEffect:!1,counters:!0,order:["twitter-tweet","facebook-like"],behaviorOnError:"show_error",behaviorError:"Unable to create Social Buttons. Please make sure that nothing blocks loading of social scripts in your browser. Some browser extentions (Avast, PrivDog, AdBlock, Adguard etc.) or usage of private tabs in FireFox may cause this issue. Turn them off and try again.",facebook:{version:"v5.0",like:{title:l.pandalocker.lang.socialButtons.facebookLike},share:{title:l.pandalocker.lang.socialButtons.facebookShare},preconfirmUrl:null},twitter:{tweet:{title:l.pandalocker.lang.socialButtons.twitterTweet},follow:{title:l.pandalocker.lang.socialButtons.twitterFollow}},youtube:{title:l.pandalocker.lang.socialButtons.youtubeSubscribe},linkedin:{share:{title:l.pandalocker.lang.socialButtons.linkedinShare}}},t.name="social-buttons",t.prepareOptions=function(){var t;this.options.lang=this.locker.options.lang,"horizontal"!==this.options.layout&&"vertical"!==this.options.layout&&(this.options.layout="horizontal"),this.options.url=this.options.url||this.locker.options.url,this.locker.options.buttons&&(this.locker.options.buttons.order&&(this.options.order=this.locker.options.buttons.order),void 0!==this.locker.options.buttons.counters&&(this.options.counters=this.locker.options.buttons.counters)),this.options.order&&(0<=(t=l.inArray("google-share",this.options.order))&&this.options.order.splice(t,1),0<=(t=l.inArray("google-plus",this.options.order))&&this.options.order.splice(t,1)),this.locker.options.facebook&&(this.options.facebook=l.extend(!0,this.options.facebook,this.locker.options.facebook)),this.locker.options.twitter&&(this.options.twitter=l.extend(!0,this.options.twitter,this.locker.options.twitter)),this.locker.options.linkedin&&(this.options.linkedin=l.extend(!0,this.options.linkedin,this.locker.options.linkedin)),this.locker.options.youtube&&(this.options.youtube=l.extend(!0,this.options.youtube,this.locker.options.youtube)),this.options.unsupported&&this.options.unsupported.display&&0<=l.inArray(this.options.display,this.options.unsupported.display)&&(this.options.display="covers"),this.hasCovers="covers"===this.options.display||"covers-native"===this.options.display,this.hasNativeButtons="native"===this.options.display||"covers-native"===this.options.display,"covers-native"===this.options.display&&(this.options.coversEffect="flip"),"covers"===this.options.display&&"large"===this.options.coversSize&&(this.hasLargeCovers=!0)},t.render=function(){this._groupIsRendered=!0,this.element.addClass(this.options.counters?"onp-sl-has-counters":"onp-sl-no-counters"),this.element.addClass("onp-sl-"+this.options.layout),this.element.addClass("onp-sl-lang-"+this.options.lang),this.element.addClass(this.hasLargeCovers?"onp-sl-large-buttons":"onp-sl-default-buttons"),this._loadedButtons=l.extend([],this.options.order),!this.hasAgreementHandler()&&this.lockerOptions.agreement.checkbox&&"top"===this.lockerOptions.agreement.checkbox&&this.renderAgreementCheckbox(),this.renderControls(this.innerWrap),!this.hasAgreementHandler()&&this.lockerOptions.agreement.checkbox&&"bottom"===this.lockerOptions.agreement.checkbox&&this.renderAgreementCheckbox(),this.hasCovers&&this.element.addClass("onp-sl-has-covers"),this.hasNativeButtons&&this.element.addClass("onp-sl-has-native"),this.hasCovers&&this.hasNativeButtons&&"flip"===this.options.coversEffect&&this.element.addClass("onp-sl-has-flip-effect"),this.element.addClass("onp-sl-display-"+this.options.display)},t._loadedButtons=[],t.onControlError=function(t){var o;this._groupIsRendered&&(o=jQuery.inArray(t,this._loadedButtons),this._loadedButtons.splice(o,1),0===this._loadedButtons.length&&("show_error"===this.options.behaviorOnError?this.showError("adblock",this.options.behaviorError):this.locker.unlock("error")))},t.createControl=function(t){var o=l.pandalocker.tools.extend(l.pandalocker.controls[this.name][t]),s=t.split("-"),e=2===s.length?s[0]:null,i=2===s.length?s[1]:s[0],n={};e?(this.options[e]&&(n=l.extend({},this.options[e])),this.options[e][i]&&(n=l.extend(n,this.options[e][i]))):this.options[i]&&(n=l.extend(n,this.options[i]));var r=e?this.options[e]:{};return r.lang=this.options.lang,r.counters=this.options.counters,r.url=r.url||this.options.url,o.init(this,n,r),o},t.canLock=function(){return 0!==this.options.order.length},l.pandalocker.groups["social-buttons"]=t}(jQuery);;
!function(e){"use strict";var t=e.pandalocker.tools.extend(e.pandalocker.entity.control);t.init=function(t,o,n){this.networkOptions=n;var s=this.name.split("-");this.networkName=this.sdk?this.sdk:2===s.length?s[0]:null,this.buttonSocialNetwork=s[0],this.buttonName=2===s.length?s[1]:s[0],e.pandalocker.entity.control.init.call(this,t,o),this.networkName?this._ssIdentity="page_"+e.pandalocker.tools.hash(this.url)+"_hash_"+this.networkName+"-"+this.buttonName:this._ssIdentity="page_"+e.pandalocker.tools.hash(this.url)+"_hash_"+this.buttonName,this.group.hasNativeButtons||null!==this.skipSDK||(this.skipSDK=!0)},t._extractUrl=function(){return e.pandalocker.tools.URL.normalize(this.options.url||this.networkOptions.url||window.location.href)},t.render=function(o){var t,s=this;this.buttonSocialNetwork&&this.control.addClass("onp-sl-"+this.buttonSocialNetwork),this._hasError()||(this._setLoadingState(),t=function(){var t=s.requireSdk(s.networkName,s.networkOptions);t.fail(function(t){s._removeLoadingState(),s.showError(t)}),t.done(function(){var n,t=o;s.group.hasNativeButtons&&(t=e("<div class='onp-sl-social-button onp-sl-social-button-"+this.name+"'></div>")).appendTo(o),s.setupEvents(),s.renderButton(t),s.locker.hasNativeButtons?s.verifyButton().done(function(){s.onButtonRendered&&s.onButtonRendered()}).always(function(){s._removeLoadingState()}).fail(function(t){s.showError(t)}):(s.onButtonRendered&&s.onButtonRendered(),s._removeLoadingState()),s.groupOptions.agreement&&s.groupOptions.agreement.checkbox&&((n=e("<div class='onp-sl-overlay onp-sl-agreement-overlay'></div>").appendTo(o)).click(function(t){return t.stopPropagation(),s.validateAgreement(),!1}),s.addHook("accept-agreement",function(t,o){o?n.hide():n.show()}))})},this.locker.options.lazy?this.addHook("raw-impress",function(){s._rendered||(s._rendered=!0,t())}):t()),this._addCovers()},t._addCovers=function(){var t,o,n,s;this.group.hasCovers&&(this.control,t=this.innerWrap,o=this.options.title||(this.networkName?e.pandalocker.lang[this.networkName+"_"+this.buttonName]:e.pandalocker.lang[this.networkName]),n=e("<div class='onp-sl-button'></div>").append(e("<div class='onp-sl-button-icon'></div>")).append(e("<div class='onp-sl-button-line'></div>")).append(e("<div class='onp-sl-button-text'><span class='onp-sl-text-line'>"+o+"</span></div>")),this.group.hasNativeButtons?e("<a href='#'></a>").addClass("onp-sl-button-overlay").append(e("<div class='onp-sl-overlay-back'></div>")).append(e("<div class='onp-sl-overlay-front'></div>").append(n)).append(e("<div class='onp-sl-overlay-header'></div>")).prependTo(t):(this.group.hasLargeCovers&&n.addClass("onp-sl-button-lg"),n.prependTo(t)),s=this.group.options.coversEffect,this.group.hasNativeButtons&&"flip"===s?this._addFlipCoversEffect():this.control.addClass("onp-sl-no-effects"))},t._addFlipCoversEffect=function(){var t=this.control,o=this.innerWrap.find(".onp-sl-button-overlay"),n=e.pandalocker.tools.has3d();n&&t.addClass("onp-sl-flip"),n||t.hover(function(){var t=e(this).find(".onp-sl-button-overlay");t.stop().animate({opacity:0},200,function(){t.hide()})},function(){e(this).find(".onp-sl-button-overlay").show().stop().animate({opacity:1},200)}),e.pandalocker.isTouch()&&(n?o.click(function(){return t.hasClass("onp-sl-flip-hover")?t.removeClass("onp-sl-flip-hover"):(e(".onp-sl-flip-hover").removeClass("onp-sl-flip-hover"),t.addClass("onp-sl-flip-hover")),!1}):o.click(function(){var t=e(this);return t.stop().animate({opacity:0},200,function(){t.hide()}),!1})),this.group._buttonsZIndex||(this.group._buttonsZIndex=54),this.group._buttonsZIndex=this.group._buttonsZIndex-4;var s=this.group._buttonsZIndex;t.css("z-index",s),o&&(o.css("z-index",s),o.find(".onp-sl-overlay-front").css("z-index",1),o.find(".onp-sl-overlay-back").css("z-index",-1),o.find(".onp-sl-overlay-header").css("z-index",1))},t._getStorageIdentity=function(){return this._ssIdentity},t.verification={container:"iframe",timeout:5e3},e.pandalocker.entity.socialButton=t}(jQuery);;
!function(o){"use strict";o.onepress||(o.onepress={}),o.pandalocker.sdk||(o.pandalocker.sdk={}),o.pandalocker.sdk.facebook=o.pandalocker.sdk.facebook||{name:"facebook",url1:"//connect.facebook.net/{lang}/all.js",url2:"//connect.facebook.net/{lang}/sdk.js",scriptId:"facebook-jssdk",timeout:1e4,isLoaded:function(){return"object"==typeof window.FB},prepare:function(){0===o("#fb-root").length&&o("<div id='fb-root'></div>").appendTo(o("body"));var n=this.options&&this.options.lang||"en_US";this.url1=this.url1.replace("{lang}",n),this.url2=this.url2.replace("{lang}",n),this.url="v1.0"===this.options.version?this.url1:this.url2},_setup:!1,setup:function(){var n;this._setup||(n=this,window.FB.init({appId:n.options&&n.options.appId||null,status:!0,cookie:!0,xfbml:!0,version:n.options.version}),window.FB.Event.subscribe("edge.create",function(n){o(document).trigger("onp-sl-facebook-like",[n,!0])}),window.FB.init=function(){},o(document).trigger(n.name+"-init"),this._setup=!0)},createEvents:function(){var n,o=this;this.isLoaded()?o.setup():(window.fbAsyncInit&&(n=window.fbAsyncInit),window.fbAsyncInit=function(){o.setup(),n&&n(),window.fbAsyncInit=function(){}})}}}(jQuery);;
!function(i){"use strict";i.onepress||(i.onepress={}),i.pandalocker.sdk||(i.pandalocker.sdk={}),i.pandalocker.sdk.twitter=i.pandalocker.sdk.twitter||{name:"twitter",url:"//platform.twitter.com/widgets.js",scriptId:"twitter-wjs",timeout:1e4,isLoaded:function(){return void 0!==window.__twttrlr},createEvents:function(){function e(){i(document).trigger(t.name+"-init")}var t=this,n=this.isLoaded();n?e():(window.twttr||(window.twttr={}),window.twttr.ready||(window.twttr=i.extend(window.twttr,{_e:[],ready:function(t){this._e.push(t)}})),twttr.ready(function(t){e()}))},prepare:function(){function t(t){if((t||t.data)&&"string"==typeof t.data)return-1!==t.data.indexOf(':["tweet"')?i(document).trigger("onp-sl-twitter-tweet"):-1!==t.data.indexOf(':["follow"')?i(document).trigger("onp-sl-twitter-follow"):void 0}window.addEventListener?window.addEventListener("message",t,!1):window.attachEvent("onmessage",t)}}}(jQuery);;
!function(o){"use strict";o.onepress||(o.onepress={}),o.pandalocker.sdk||(o.pandalocker.sdk={}),o.pandalocker.sdk.googleClient=o.pandalocker.sdk.googleClient||{name:"google-client",url:"//apis.google.com/js/client:platform.js?onload=OPanda_GoogleClient_Callback",scriptId:"google-client-jssdk",timeout:1e4,isLoaded:function(){return window.gapi&&"object"==typeof window.gapi.auth},prepare:function(){var e=this;window.OPanda_GoogleClient_Callback=function(){o(document).trigger(e.name+"-script-loaded")}}}}(jQuery);;
!function(n){"use strict";n.onepress||(n.onepress={}),n.pandalocker.sdk||(n.pandalocker.sdk={}),n.pandalocker.sdk.linkedin=n.pandalocker.sdk.linkedin||{name:"linkedin",url:"//platform.linkedin.com/in.js",scriptId:"linkedin-jssdk",timeout:1e4,isLoaded:function(){return"object"==typeof window.IN},prepare:function(){}}}(jQuery);;
!function(u){"use strict";var t=u.pandalocker.tools.extend(u.pandalocker.entity.socialButton);t.name="facebook-like",t._defaults={url:null,layout:"button_count",width:null,verbToDisplay:"like",colorScheme:"light",font:"tahoma",ref:null},t.prepareOptions=function(){this.url=this._extractUrl(),this.groupOptions.counters||(this.options.layout="button"),this.callpoint=this.options.socialProxy.url?this.options.socialProxy.url:this.options.socialProxy.endpoint+"/fblike",this.paramPrefix=this.options.socialProxy.paramPrefix,this.skipSDK=!1},t.setupHooks=function(){},t.setupEvents=function(){var n=this,r=!1;u(document).bind("onp-sl-facebook-like",function(t,o,i){"auto"!==o&&"any"!==o&&n.url!==u.pandalocker.tools.URL.normalize(o)||("auto"!==o?r||(r=!0,n.unlock("button",n.name,n.url)):n.locker===u.pandalocker._current&&u(document).trigger("onp-sl-facebook-like",[n.url]))})},t.renderButton=function(r){var e=this,t=r;this.button=u("<div></div>").appendTo(r),this.button.attr("data-show-faces",!1),this.button.attr("data-send",!1),this.button.attr("data-href",this.url),this.options.font&&this.button.attr("data-font",this.options.font),this.options.colorScheme&&this.button.attr("data-colorscheme",this.options.colorScheme),this.options.ref&&this.button.attr("data-ref",this.options.ref),this.options.width&&this.button.attr("data-width",this.options.width),this.options.layout&&this.button.attr("data-layout",this.options.layout),this.options.verbToDisplay&&this.button.attr("data-action",this.options.verbToDisplay),u.pandalocker.isTouch()&&(this.overlay=u("<div class='onp-sl-feature-overlay'></div>").appendTo(r),this.overlay.click(function(){e._eventUnlockEnabled=!0,e.overlay.hide()})),this.button.addClass("fb-like"),window.FB&&window.FB.XFBML&&window.FB.XFBML.parse(r[0]),this.group.hasNativeButtons?t=u("<div class='onp-sl-facebook-like-overlay'></div>").appendTo(r):this.button.hide();var o=u.pandalocker.tools.appendPrefix(this.paramPrefix,{handler:"fblike",bridgeId:this.bridgeId});this.paramPrefix&&(o.prefix=this.paramPrefix);var i=this.callpoint;for(var n in o)o.hasOwnProperty(n)&&(i=u.pandalocker.tools.updateQueryStringParameter(i,n,o[n]));t.click(function(){var t=(window.screen.height-320)/2-100,o=(window.screen.width-486)/2-100;return e._currentWindowToTrack=window.open(i,"app-fblike-"+e.bridgeId,"width=486,height=320,top="+t+",left="+o),!1}),e.waitCrossRequest(function(t){var o,i,n;t.bridgeId===e.bridgeId&&e._currentWindowToTrack&&("request"===t.type?"fetch-options"===t.action&&(o={header:u.pandalocker.lang.confirm_like_screen_header,message:u.pandalocker.lang.confirm_like_screen_message,button:u.pandalocker.lang.confirm_like_screen_button},i={consumer:e.options.socialProxy&&e.options.socialProxy.consumer,width:486,height:320,confirmUrl:e.getConfirmUrl(r),lang:o},n={type:"response",action:t.action,bridgeId:e.bridgeId,options:i},e._currentWindowToTrack.postMessage(JSON.stringify(n),"*")):"status"===t.type&&("ping"===t.status?(e._isWindowTracked||e.startTrackingWindow(),e._confirmTimeout=1e3):"cancel"===t.status&&e.stopTrackingWindow()))},"app")},t.stopTrackingWindow=function(){this._isWindowTracked=!1,this._windowTrakingInterval&&clearInterval(this._windowTrakingInterval),this._windowTrakingInterval=null,this._currentWindowToTrack&&this._currentWindowToTrack.close&&this._currentWindowToTrack.close(),this._currentWindowToTrack=null},t.startTrackingWindow=function(){var t=this;this._isWindowTracked=!0,this._confirmTimeout=1e3;this._windowTrakingInterval=setInterval(function(){t._currentWindowToTrack&&!t._currentWindowToTrack.closed?(t._confirmTimeout-=200,t._confirmTimeout<=0&&(u(document).trigger("onp-sl-facebook-like",t.url),t.stopTrackingWindow())):t.stopTrackingWindow()},200)},t.getConfirmUrl=function(t){var o=t.find("span iframe").attr("src");if(o){var i=(c=new u.pandalocker.tools.URL(o)).queryString().split("&"),n={};for(var r in i){var e=i[r].split("="),a=e[0];for(var s in e)1==s?n[a]=e[s]:1<s&&(n[a]=n[a]+"="+e[s]),n[a]=decodeURIComponent(n[a])}var c="https://www.facebook.com/"+this.options.version+"/plugins/error/confirm/like?";n.ret="sentry",n.act="like";var l={iframe_referer:window.location.href,kid_directed_site:"false",secure:"true",plugin:"like",return_params:JSON.stringify(n)},d=0;for(var a in l)0<d&&(c+="&"),c=c+a+"="+encodeURIComponent(l[a]),d++;return c}},t.customVerifyButton=function(){var t=this;if(this.customVerification=!1,0===t.control.find(t.verification.container).length)return!1;var o=t.control.find(t.verification.container).attr("style"),i=/height:\s*(\d+)px/i.exec(o);return!(!i||!i[1]||0===parseInt(i[1]))},t.onButtonRendered=function(){},t.getButtonName=function(){var t=!1,o=this.button.find("iframe").attr("src");if(o){var i,n=u.pandalocker.tools.URL(o).query(),r=!1;if(n)for(var e in n)if("channel"===n[e][0]){r=decodeURIComponent(decodeURIComponent(n[e][1]));break}r&&(n=u.pandalocker.tools.URL(r).fragment(),(i=u.pandalocker.tools.parseQuery(n)).cb&&(t=i.cb))}return t},t._trackingStarted=!1,t._eventUnlockEnabled=!1,t._firstEventSkipped=!1,u.pandalocker.controls["social-buttons"]["facebook-like"]=t}(jQuery);;
!function(s){"use strict";var t=s.pandalocker.tools.extend(s.pandalocker.entity.socialButton);t.name="facebook-share",t._defaults={url:null,socialProxyAppId:null,layout:"button_count",count:"standard",lang:"en_US",width:null,shareDialog:!1,name:null,caption:null,description:null,image:null,unlock:null},t.prepareOptions=function(){this.url=this._extractUrl(),this.groupOptions.counters||(this.options.layout="button"),this.callpoint=this.options.socialProxy.url?this.options.socialProxy.url:this.options.socialProxy.endpoint+"/fbshare",this.paramPrefix=this.options.socialProxy.paramPrefix},t.setupEvents=function(){var i=this;s(document).bind("onp-sl-facebook-share",function(t,o){i.url===s.pandalocker.tools.URL.normalize(o)&&i.unlock("button",i.name,i.url)})},t.renderButton=function(t){var n=this,o=t;this.group.hasNativeButtons&&(this.button=s("<div></div>").appendTo(t),this.button.attr("data-href",this.url),this.options.width&&this.button.attr("data-width",this.options.width),this.options.layout&&(this.button.attr("data-layout",this.options.layout),this.button.attr("data-type",this.options.layout)),this.button.addClass("fb-share-button"),window.FB.XFBML.parse(t[0]),o=s("<div class='onp-sl-facebook-share-overlay'></div>").appendTo(t));var i=s.pandalocker.tools.appendPrefix(this.paramPrefix,{handler:"fbshare",bridgeId:this.bridgeId});this.paramPrefix&&(i.prefix=this.paramPrefix);var r=this.callpoint;for(var a in i)i.hasOwnProperty(a)&&(r=s.pandalocker.tools.updateQueryStringParameter(r,a,i[a]));o.click(function(){var t=(window.screen.height-600)/2-100,o=(window.screen.width-500)/2-100;return n._currentWindowToTrack=window.open(r,"app-fbshare-"+n.bridgeId,"width=500,height=600,top="+t+",left="+o),!1}),n.waitCrossRequest(function(t){var o,i;t.bridgeId===n.bridgeId&&n._currentWindowToTrack&&("request"===t.type?"fetch-options"===t.action&&(o={consumer:n.options.socialProxy&&n.options.socialProxy.consumer,url:n.url,appId:n.options.socialProxyAppId},i={type:"response",action:t.action,bridgeId:n.bridgeId,options:o},n._currentWindowToTrack.postMessage(JSON.stringify(i),"*")):"status"===t.type&&"share-success"===t.status&&(s(document).trigger("onp-sl-facebook-share",n.url),n._currentWindowToTrack.close&&n._currentWindowToTrack.close(),n._currentWindowToTrack=null))},"app")},t.customVerifyButton=function(){var t=this;if(this.customVerification=!1,0===t.control.find(t.verification.container).length)return!1;var o=t.control.find(t.verification.container).attr("style"),i=/height:\s*(\d+)px/i.exec(o);return!(!i||!i[1]||0===parseInt(i[1]))},s.pandalocker.controls["social-buttons"]["facebook-share"]=t}(jQuery);;
!function(s){"use strict";s.pandalocker.data||(s.pandalocker.data={}),s.pandalocker.data.__tweetedUrl=null,s.pandalocker.data.__twitterOAuthReadOnlyeReady=!1,s.pandalocker.data.__twitterVisitorId=null;var t=s.pandalocker.tools.extend(s.pandalocker.entity.socialButton);t.name="twitter-tweet",t.verification={container:"iframe",timeout:5e3},t._defaults={skipCheck:!1,url:null,text:null,via:null,related:null,count:"horizontal",lang:"en",counturl:null,size:"medium",dnt:null},t.prepareOptions=function(){var t,i,o=s("link[rel='canonical']");!this.options.url&&!this.networkOptions.url&&0<o.length&&(this.options.url=o.attr("href")),this.url=this._extractUrl(),this.groupOptions.lang&&(t=this.groupOptions.lang.split("_"),this.options.lang=t[0]),this.options.text||(0<(i=s("title")).length?this.options.text=s(i[0]).text():this.options.text=""),this.options.skipCheck&&(this.options.lockMode="soft")},t.setupEvents=function(){var t=this;s(document).bind("onp-sl-twitter-tweet",function(){t.url===s.pandalocker.data.__tweetedUrl&&t.unlock("button",t.name,t.url)})},t.renderButton=function(t){var i,o,n=this,e=t;this.group.hasNativeButtons&&(this.button=s('<a href="https://twitter.com/share" class="twitter-share-button">Tweet</a>').appendTo(t),this.button.attr("data-url",this.url),this.button.attr("data-show-count",this.options.showCount),this.options.via&&this.button.attr("data-via",this.options.via),this.options.text&&this.button.attr("data-text",this.options.text),this.options.lang&&this.button.attr("data-lang",this.options.lang),this.options.hashtags&&this.button.attr("data-hashtags",this.options.hashtags),this.options.size&&this.button.attr("data-size",this.options.size),this.options.dnt&&this.button.attr("data-dnt",this.options.dnt),e=s("<div class='onp-sl-feature-overlay'></div>").appendTo(t),i=5,(o=function(){if(!(0<t.find("iframe").length))if(window.twttr&&window.twttr.widgets&&window.twttr.widgets.load)window.twttr.widgets.load(t[0]);else{if(i<=0)return;i--,setTimeout(function(){o()},1e3)}})()),e.click(function(){n.tweet().done(function(){s(document).trigger("onp-sl-twitter-tweet",[n.url])}).fail(function(t){n.showNotice(t.error)})}),this.twitterService=s.pandalocker.tools.extend(s.pandalocker.services.twitter),this.twitterService.init(this)},t.tweet=function(){var t="strict"===this.options.lockMode,i={text:this.options.text,hashtags:this.options.hashtags,via:this.options.via,related:this.options.related,url:this.url};return this.twitterService.tweetIntent(t,i)},s.pandalocker.controls["social-buttons"]["twitter-tweet"]=t}(jQuery);;
!function(s){"use strict";s.pandalocker.data||(s.pandalocker.data={}),self._followWindow=null,s.pandalocker.data.__twitterOAuthReadOnlyeReady=!1,s.pandalocker.data.__twitterVisitorId=null;var t=s.pandalocker.tools.extend(s.pandalocker.entity.socialButton);t.name="twitter-follow",t.verification={container:"iframe",timeout:6e5},t._defaults={skipCheck:!1,url:null,hideScreenName:!1,showCount:!0,lang:"en",size:"medium",alignment:null,dnt:null},t.prepareOptions=function(){if(!this.options.url||-1===this.options.url.indexOf("twitter"))return this.showError(s.pandalocker.lang.errors.emptyTwitterFollowUrlError),!1;var t;this.url=this._extractUrl(),this.groupOptions.lang&&(t=this.groupOptions.lang.split("_"),this.options.lang=t[0]);var o=this.url.split("/");if(o.length<2)return this.showError(s.pandalocker.lang.errors.emptyTwitterFollowUrlError);this.followTo=o[o.length-1],this.options.skipCheck&&(this.options.lockMode="soft")},t.setupEvents=function(){var i=this;s(document).bind("onp-sl-twitter-follow",function(t,o){i.url===o&&i.unlock("button",i.name,i.url)})},t.renderButton=function(t){var o,i,n=this,e=t;this.group.hasNativeButtons&&(this.button=s('<a href="https://twitter.com/share" class="twitter-follow-button">Follow</a>').appendTo(t),this.button.attr("href",this.url),this.button.attr("data-show-count",this.options.showCount),this.options.showCount&&this.button.attr("data-show-count",this.options.showCount),this.options.lang&&this.button.attr("data-lang",this.options.lang),this.options.alignment&&this.button.attr("data-alignment",this.options.alignment),this.options.size&&this.button.attr("data-size",this.options.size),this.options.dnt&&this.button.attr("data-dnt",this.options.dnt),this.options.hideScreenName&&this.button.attr("data-show-screen-name",!1),e=s("<div class='onp-sl-feature-overlay'></div>").appendTo(t),o=5,(i=function(){if(!(0<t.find("iframe").length))if(window.twttr&&window.twttr.widgets&&window.twttr.widgets.load)window.twttr.widgets.load(t[0]);else{if(o<=0)return;o--,setTimeout(function(){i()},1e3)}})()),e.click(function(){return n.follow().done(function(){s(document).trigger("onp-sl-twitter-follow",n.url)}).fail(function(t){n.showNotice(t.error)}),!1}),this.twitterService=s.pandalocker.tools.extend(s.pandalocker.services.twitter),this.twitterService.init(this)},t.follow=function(){var t="strict"===this.options.lockMode,o={followTo:this.followTo};return this.twitterService.followIntent(t,o)},s.pandalocker.controls["social-buttons"]["twitter-follow"]=t}(jQuery);;
!function(i){"use strict";var t=i.pandalocker.tools.extend(i.pandalocker.entity.socialButton);t.name="youtube-subscribe",t.sdk="google-client",t._defaults={channelId:null,layout:"default",count:"default"},t._extractUrl=function(){return this.options.channelId},t.prepareOptions=function(){this.url=this._extractUrl(),this.options.channelId||this.showError(i.pandalocker.lang.errors.emptyYoutubeChannelId),this.groupOptions.counters||(this.options.count="hidden"),this.callpoint=this.options.socialProxy.url?this.options.socialProxy.url:this.options.socialProxy.endpoint+"/gauth",this.callpoint=i.pandalocker.tools.updateQueryStringParameter(this.callpoint,"bridgeId",this.bridgeId)},t.setupEvents=function(){var e=this;i(document).bind("onp-sl-youtube-subscribe",function(t,o){e.unlock("button",e.name,e.url)})},t.renderButton=function(t){var o=this,e=t;this.group.hasNativeButtons&&(this.button=i("<div></div>").appendTo(t),this.button.attr("data-channelid",this.options.channelId),this.button.attr("data-layout",this.options.layout),this.button.attr("data-count",this.options.count),this.button.addClass("g-ytsubscribe"),setTimeout(function(){window.gapi&&window.gapi.ytsubscribe.go(t[0])},100),e=i("<div class='onp-sl-youtube-subscribe-overlay'></div>").appendTo(t)),e.click(function(){o.subscribe().done(function(){i(document).trigger("onp-sl-youtube-subscribe",[o.url])}).fail(function(t){o.showNotice(t.error)})}),this.googleService=i.pandalocker.tools.extend(i.pandalocker.services.google),this.googleService.init(this)},t.subscribe=function(){var o={channelId:this.options.channelId},e=this,n=i.pandalocker.deferred();return e.googleService.connect(function(t){if(t&&t.error)return n.reject(t);e.googleService.subscribeToYoutube(o).done(n.resolve).fail(n.reject)},{identify:!1,keepOpen:!1,scope:"youtube"}),n.promise()},i.pandalocker.controls["social-buttons"]["youtube-subscribe"]=t}(jQuery);;
!function(r){"use strict";r.pandalocker.data||(r.pandalocker.data={}),r.pandalocker.data.__linkedinWatcherCreated=null,r.pandalocker.data.__linkedinActiveWindow=null;var n=r.pandalocker.tools.extend(r.pandalocker.entity.socialButton);n.name="linkedin-share",n.verification.container=".IN-widget",n.verification.timeout=5e3,n._defaults={url:null,counter:"right"},n.prepareOptions=function(){this.url=this._extractUrl(),"vertical"===this.groupOptions.layout?this.options.counter="top":this.groupOptions.counters||(this.options.counter="none")},n.setupEvents=function(){var o,e=this;r(document).bind("onp-sl-linkedin-share",function(n,t){e.url===r.pandalocker.tools.URL.normalize(t)&&e.unlock("button",e.name,e.url)}),r.pandalocker.data.__linkedinWatcherCreated||(r.pandalocker.data.__linkedinWatcherCreated=!0,o=window.open,window.open=function(n,t,e){var i=o(n,t,e);if(!i)return i;var a=t||i.name;return!a||-1===a.indexOf("linkedin-share")?i:r.pandalocker.data.__linkedinActiveWindow=i})},n.renderButton=function(n){var i=this,t=n;this.group.hasNativeButtons&&(this.button=r('<script type="IN/Share"><\/script>'),this.options.counter&&this.button.attr("data-counter",this.options.counter),this.button.attr("data-url",this.url),this.button.appendTo(n),IN.init(),IN.parser.parse&&IN.parser.parse(this.button[0]),t=r("<div class='onp-sl-feature-overlay'></div>").appendTo(n)),t.click(function(){var n=(window.screen.height-420)/2-100,t=(window.screen.width-540)/2-100,e=" https://www.linkedin.com/sharing/share-offsite/?url="+encodeURIComponent(i.url);window.open(e,"linkedin-share","width=540,height=420,top="+n+",left="+t)}),t.click(function(){setTimeout(function(){var n,t;r.pandalocker.data.__linkedinActiveWindow&&(n=r.pandalocker.data.__linkedinActiveWindow,r.pandalocker.data.__linkedinActiveWindow=!1,t=setInterval(function(){n&&!1===n.closed||(clearInterval(t),r(document).trigger("onp-sl-linkedin-share",[i.url]))},200))},200)})},r.pandalocker.controls["social-buttons"]["linkedin-share"]=n}(jQuery);;
!function(t){"use strict";var e=t.pandalocker.tools.extend(t.pandalocker.entity.group);e._defaults={order:["facebook","twitter","google"],facebook:{},twitter:{},google:{},linkedin:{}},e.name="connect-buttons",e.setup=function(){this.isFirst||(this.options.text.message=this.options.text.message||t.pandalocker.lang.connectButtons.defaultMessage,this.options.text.message=t.pandalocker.tools.normilizeHtmlOption(this.options.text.message))},t.pandalocker.groups["connect-buttons"]=e}(jQuery);;
!function(a){"use strict";var n=a.pandalocker.tools.extend(a.pandalocker.entity.actionControl);n.tag='<a href="#"></a>',n.render=function(n){var t=this,o=a("<div class='onp-sl-button onp-sl-button-lg'></div>").append(a("<div class='onp-sl-button-icon'></div>")).append(a("<div class='onp-sl-button-line'></div>")).append(a("<div class='onp-sl-button-text'></div>"));o.appendTo(n);var e,i=o.find(".onp-sl-button-text");this._hasError()||(this._lockLoadingState(),e=function(){var n=t.requireSdk(t.sdk,t.options);n.fail(function(n){t._unlockLoadingState(),t.showError(n)}),n.done(function(){t.setupEvents&&t.setupEvents(),t.renderButton(i)})},this.locker.options.lazy?this.addHook("raw-impress",function(){t._rendered||(t._rendered=!0,e())}):e()),this.handleClick(),this._checkWaitingSubscription()},n.processButtonTitle=function(n,t){var o=n.replace("{long}",a.pandalocker.lang.signin_long);return o=(o=o.replace("{short}",a.pandalocker.lang.signin_short)).replace("{name}",t)},n.handleClick=function(){var o=this;this.control.click(function(){return o.runHook("raw-interaction"),o._hasError()||o._isLoading()||o.validateAgreement()&&o.connect(function(n){var t={visitorId:a.pandalocker.data&&a.pandalocker.data.__visitorId,proxy:o.options.socialProxy&&(o.options.socialProxy.url||o.options.socialProxy.endpoint)||!1};o.runActions(n,t,!0).done(function(){o.unlock()}).fail(function(n){n&&n.error&&o.showNotice(n.error)})}),!1})},n._lockLoadingState=function(){this._setLoadingState("connect-button")},n._unlockLoadingState=function(){this._removeLoadingState("connect-button")},n.connect=function(){throw new Error("The control should implement the method 'connect'")},n._getStorageIdentity=function(){return"opanda_"+a.pandalocker.tools.hash(this.name)+"_hash_"+this.name},a.pandalocker.entity.connectButton=n}(jQuery);;
!function(t){"use strict";var n=t.pandalocker.tools.extend(t.pandalocker.entity.connectButton);n.name="facebook",n._defaults={},n.prepareOptions=function(){this.permissions=["userinfo"]},n.renderButton=function(n){var o=this.processButtonTitle(this.lang.viaSignInLong,t.pandalocker.lang.signin_facebook_name),e=this.processButtonTitle(this.lang.viaSignInShort,t.pandalocker.lang.signin_facebook_name);t("<span class='onp-sl-long'>"+o+"</span>").appendTo(n),t("<span class='onp-sl-short'>"+e+"</span>").appendTo(n),this._unlockLoadingState(),this.facebookService=t.pandalocker.tools.extend(t.pandalocker.services.facebook),this.facebookService.init(this)},n.connect=function(o){this.facebookService.connect(function(n){o(n)},{identify:!0,keepOpen:!1,scope:this.permissions.join(",")})},t.pandalocker.controls["connect-buttons"].facebook=n}(jQuery);;
!function(s){"use strict";var n=s.pandalocker.tools.extend(s.pandalocker.entity.connectButton);n.name="google",n._defaults={},n.prepareOptions=function(){if(this.permissions=["userinfo"],-1!==s.inArray("youtube-subscribe",this.options.actions)&&(this.permissions.push("youtube"),!this.options.youtubeSubscribe||!this.options.youtubeSubscribe.channelId))return this.showError(s.pandalocker.lang.connectButtons.errorYouTubeChannelMissed)},n.renderButton=function(n){var o=this.processButtonTitle(this.lang.viaSignInLong,s.pandalocker.lang.signin_google_name),e=this.processButtonTitle(this.lang.viaSignInShort,s.pandalocker.lang.signin_google_name);s("<span class='onp-sl-long'>"+o+"</span>").appendTo(n),s("<span class='onp-sl-short'>"+e+"</span>").appendTo(n),this._unlockLoadingState(),this.googleService=s.pandalocker.tools.extend(s.pandalocker.services.google),this.googleService.init(this)},n.connect=function(o){this.googleService.connect(function(n){console.log(n),o(n)},{identify:!0,keepOpen:!1,scope:this.permissions.join(",")})},n.runYoutubeSubscribeAction=function(n,o,e,s,t){var i=this,c=this.googleService.subscribeToYoutube({channelId:i.options.youtubeSubscribe.channelId});c.done(function(n){i.runHook("got-youtube-subscriber",[n]),t(n)}),c.fail(t)},s.pandalocker.controls["connect-buttons"].google=n}(jQuery);;
!function(c){"use strict";var t=c.pandalocker.tools.extend(c.pandalocker.entity.connectButton);t.name="twitter",t._defaults={},t.prepareOptions=function(){if(this.scope="read",-1!==c.inArray("follow",this.options.actions)){if(!this.options.follow||!this.options.follow.user)return this.showError(c.pandalocker.lang.connectButtons.errorTwitterUserMissed);this.scope="write"}if(-1!==c.inArray("tweet",this.options.actions)){if(!this.options.tweet||!this.options.tweet.message)return this.showError(c.pandalocker.lang.connectButtons.errorTwitterMessageMissed);this.scope="write"}},t.renderButton=function(t){var e=this.processButtonTitle(this.lang.viaSignInLong,c.pandalocker.lang.signin_twitter_name),n=this.processButtonTitle(this.lang.viaSignInShort,c.pandalocker.lang.signin_twitter_name);c("<span class='onp-sl-long'>"+e+"</span>").appendTo(t),c("<span class='onp-sl-short'>"+n+"</span>").appendTo(t),this._unlockLoadingState(),this.twitterService=c.pandalocker.tools.extend(c.pandalocker.services.twitter),this.twitterService.init(this)},t.connect=function(e){var n=this;this.twitterService.connect(function(t){e(t,n.getServiceData())},{identify:!0,keepOpen:!1,scope:n.scope})},t.getServiceData=function(){return{visitorId:c.pandalocker.data.__twitterVisitorId}},t.runTweetAction=function(t,e,n,o,i){var r=this,s={tweetMessage:n.message},a={},a=c.pandalocker.filters.run(r.locker.id+".ajax-data",[a]);a=c.pandalocker.filters.run(r.locker.id+".twitter-tweet.ajax-data",[a]),this.twitterService.tweet(s,a).fail(i).done(function(t){r.runHook("tweet-posted",[t]),i(t)})},t.runFollowAction=function(t,e,n,o,i){var r=this,s={followTo:n.user,notifications:n.notifications},a={},a=c.pandalocker.filters.run(r.locker.id+".ajax-data",[a]);a=c.pandalocker.filters.run(r.locker.id+".twitter-follow.ajax-data",[a]),this.twitterService.follow(s,a).fail(i).done(function(t){r.runHook("got-twitter-follower",[t]),i(t)})},c.pandalocker.controls["connect-buttons"].twitter=t}(jQuery);;
!function(t){"use strict";var n=t.pandalocker.tools.extend(t.pandalocker.entity.connectButton);n.name="linkedin",n._defaults={},n.prepareOptions=function(){},n.renderButton=function(n){var e=this.processButtonTitle(this.lang.viaSignInLong,t.pandalocker.lang.signin_linkedin_name),i=this.processButtonTitle(this.lang.viaSignInShort,t.pandalocker.lang.signin_linkedin_name);t("<span class='onp-sl-long'>"+e+"</span>").appendTo(n),t("<span class='onp-sl-short'>"+i+"</span>").appendTo(n),this._unlockLoadingState(),this.linkedinService=t.pandalocker.tools.extend(t.pandalocker.services.linkedin),this.linkedinService.init(this)},n.connect=function(e){this.linkedinService.connect(function(n){e(n)},{identify:!0,keepOpen:!1,scope:"userinfo"})},t.pandalocker.controls["connect-buttons"].linkedin=n}(jQuery);;
!function(e){"use strict";var r=e.pandalocker.tools.extend(e.pandalocker.entity.group);r._defaults={order:["form"],text:e.pandalocker.lang.subscription.defaultText,separator:{type:"hiding-link",title:e.pandalocker.lang.misc_or_enter_email}},r.name="subscription",r.hasAgreementHandler=function(e){return"top"===e},e.pandalocker.groups.subscription=r}(jQuery);;
!function($){"use strict";var form=$.pandalocker.tools.extend($.pandalocker.entity.actionControl);form.name="form",form._defaults={type:"email-form",fields:null,unlocksPerPage:!0},form.setup=function(){var r=this;this.options.actions&&0!==this.options.actions.length||(this.options.actions=[]),$.pandalocker.entity.actionControl.setup.apply(this),this.options.requireName=this.options.requireName||this.options.subscribe&&this.options.subscribe.requireName,this.advancedValidation=!0,"email-form"===this.options.type?(this.advancedValidation=!1,this.options.fields=[{id:"email",type:"email",placeholder:$.pandalocker.lang.errors_empty_email,req:!0}]):"name-email-form"===this.options.type&&(this.advancedValidation=!0,this.options.fields=[{id:"fullname",type:"text",placeholder:$.pandalocker.lang.misc_enter_your_name,req:!0},{id:"email",type:"email",placeholder:$.pandalocker.lang.misc_enter_your_email,req:!0}]),$.pandalocker.hooks.add("email-locker-unlocked",function(e,t){r._getStorageIdentity()===e&&r!==t&&r.unlock()})},form._memorize=function(e,t){var r="opanda_"+e;if(localStorage&&localStorage.setItem)try{localStorage.setItem(r,t)}catch(e){$.pandalocker.tools.cookie(r,t,{expires:365,path:"/"})}else $.pandalocker.tools.cookie(r,t,{expires:365,path:"/"})},form._getFromMemory=function(e){var t="opanda_"+e;return localStorage&&localStorage.getItem&&localStorage.getItem(t)||$.pandalocker.tools.cookie(t)},form.submit=function(){var t,e,r=this;if(this.validateAgreement()){if(!this.validate())return!1;this.options.preview?this.showNotice(window.bizpanda&&window.bizpanda.res&&window.bizpanda.res["subscription-preview-mode"]||"The locker is in the preview mode. The subscription does not work here."):(t=this.$button.text(),this.$button.addClass("onp-sl-load").prop("disabled",!0),this.$button.html("&nbsp;"),(e=r.runActions(this.getValues(),{})).done(function(){var e=r._getStorageIdentity();$.pandalocker.hooks.run("email-locker-unlocked",[e,r]),r.unlock()}),e.fail(function(e){r.$button.removeClass("onp-sl-load").removeProp("disabled"),r.$button.text(t),e&&e.error&&r.showNotice(e.error)}))}},form.getValues=function(){var r=this,e=this.options.fields,a={};return $.each(e,function(e,t){t&&t.type&&t.id&&(a[t.id]=r.getFieldValue(t))}),a},form.getFieldValue=function(e){var t=e.type,r=$.pandalocker.hooks.run("get-field-value-"+t,[e]);if(void 0!==r)return r;"email"===e.id?this._memorize("email",$.trim(e._$input.val())):"fullname"===e.id&&this._memorize("fullname",$.trim(e._$input.val()));var a="get"+$.pandalocker.tools.capitaliseFirstLetter($.pandalocker.tools.camelCase(t))+"Value";return this[a]?this[a](e):e._$input?$.trim(e._$input.val()):null},form.getDateValue=function(e){return $.pandalocker.tools.isTabletOrMobile()?$.trim(e._$input.val()):e._$input.data("value")},form.getCheckboxValue=function(e){return e._$input.is(":checked")?e.onValue:e.offValue},form.validate=function(){var r=this,e=this.options.fields,a=!0;return $.each(e,function(e,t){r.advancedValidation&&t._$input&&t._$input.bind("change keyup blur",function(){r.validateField(t)}),r.validateField(t)||(a=!1)}),a},form.validateField=function(field){var type=field.type;this.hideValidationErrors(field);var result=$.pandalocker.hooks.run("validate-field-"+type,[field]);if(void 0!==result)return result;var typeName=$.pandalocker.tools.capitaliseFirstLetter($.pandalocker.tools.camelCase(type)),method="validate"+typeName,res=!this[method]||this[method](field);if(res&&field.validation&&(field.req||!field.req&&$.trim(field._$input.val()))){var value=$.trim(field._$input.val()),expression=null,validationError=field.validationError;if(field.validation instanceof RegExp)expression=field.validation;else{var regexp=new RegExp("^/.*?/[ims]*$");if(regexp.test(field.validation))eval("expression = "+field.validation);else if("month/day/year"===field.validation){expression=/^\d\d\/\d\d\/\d\d\d\d$/;var parts=value.split("/");if(parts.length<3)return this.showValidationError(field,$.pandalocker.lang.errors_invalid_date),!1;var month=parseInt(parts[0]),day=parseInt(parts[1]),year=parseInt(parts[2]);if(month<1||12<month)return this.showValidationError(field,$.pandalocker.lang.errors_invalid_month),!1;if(day<1||31<day)return this.showValidationError(field,$.pandalocker.lang.errors_invalid_day),!1}else if("month/year"===field.validation){expression=/^\d\d\/\d\d\d\d$/;var parts=value.split("/");if(parts.length<2)return this.showValidationError(field,$.pandalocker.lang.errors_invalid_date),!1;var month=parseInt(parts[0]),year=parseInt(parts[1]);if(month<1||12<month)return this.showValidationError(field,$.pandalocker.lang.errors_invalid_month),!1}else if("month"===field.validation){var month=parseInt(value);if(month<1||12<month)return this.showValidationError(field,$.pandalocker.lang.errors_invalid_month),!1}else expression="year"===field.validation?/^\d\d\d\d$/:new RegExp(field.validation)}if(expression&&!expression.test(value))return this.showValidationError(field,validationError||$.pandalocker.lang.errors_invalid_value),!1}return this.runHook("size-changed"),res},form.validateText=function(e,t){var r=$.trim(e._$input.val());return!!(!e.req||r&&r.length)||("fullname"===e.id?t=$.pandalocker.lang.errors_empty_name:"email"===e.id&&(t=$.pandalocker.lang.errors_empty_email),this.showValidationError(e,t||$.pandalocker.lang.errors_empty_field),!1)},form.validateHidden=function(e,t){return!0},form.validateDate=function(e){var t=this.validateText(e);return!!t||t},form.validateEmail=function(e){var t=this.validateText(e);if(!t)return t;var r=$.trim(e._$input.val());return!!$.pandalocker.tools.isValidEmailAddress(r)||(this.showValidationError(e,$.pandalocker.lang.errors_incorrect_email),!1)},form.validatePhone=function(e){return this.validateText(e)},form.validateUrl=function(e){var t=this.validateText(e);if(!t)return t;var r=$.trim(e._$input.val());return!!$.pandalocker.tools.isValidUrl(r)||(this.showValidationError(e,$.pandalocker.lang.errors_invalid_url),!1)},form.validateBirthday=function(e){var t=this.validateText(e);if(!t)return t;var r=$.trim(e._$input.val()).split("/");if(r.length<2)return this.showValidationError(e,$.pandalocker.lang.errors_invalid_date),!1;var a=parseInt(r[1]),i=parseInt(r[0]);return"mm/dd"===e.maskPlaceholder&&(a=parseInt(r[0]),i=parseInt(r[1])),!(i<1||31<i)&&!(a<1||12<a)||(this.showValidationError(e,$.pandalocker.lang.errors_invalid_date),!1)},form.validateInteger=function(e){var t=this.validateText(e);if(!t)return t;var r=$.trim(e._$input.val());return!r&&!e.req||(r=parseInt(r),isNaN(r)?(this.showValidationError(e,$.pandalocker.lang.errors_invalid_integer),!1):e.min&&r<e.min?(this.showValidationError(e,$.pandalocker.lang.errors_greater_number.replace("{0}",e.min)),!1):!(e.max&&r>e.max)||(this.showValidationError(e,$.pandalocker.lang.errors_less_number.replace("{0}",e.max)),!1))},form.validateCheckbox=function(e){var t=e._$input.is(":checked");return!(e.req&&!t)||(this.showValidationError(e,$.pandalocker.lang.errors_empty_checkbox),!1)},form.validateHtml=function(e){var a=e._$input.find("input"),i=!0;return a.each(function(){var e=$(this),t=a.attr("required"),r=a.attr("type");t&&("checkbox"===r?e.is(":checked")||(i=!1):"text"===r&&(e.val()||(i=!1)))}),i||this.showValidationError(e,$.pandalocker.lang.errors_empty_field),i},form.showValidationError=function(e,t){var r=e._$wrap,a=this;if(this.advancedValidation){var i=$('<div class="onp-sl-validation-error"></div>').html(t);r.append(i),r.addClass("onp-sl-error-state")}else{if(this._validationErrorShown)return;this._validationErrorShown=!0,this.showNotice(t,function(){a._validationErrorShown=!1})}},form.hideValidationErrors=function(e){var t;this.advancedValidation&&((t=e._$wrap).find(".onp-sl-validation-error").remove(),t.removeClass("onp-sl-error-state"))},form.render=function(e){var t=this;this.options.fields&&1<this.options.fields.length&&this.addClassToLocker("onp-sl-custom-form");var r,a=this.options.fields;for(var i in a){a.hasOwnProperty(i)&&((r=a[i])&&r.type&&(r._$input=this.renderField(e,r)))}e.find("input").keypress(function(e){13===e.which&&t.control.find(".onp-sl-submit").click()}),this.$button=this.renderSubmitButton(e),this._checkWaitingSubscription()},form.renderSubmitButton=function(e){var t=this;this.lockerOptions.agreement.checkbox&&"top"===this.lockerOptions.agreement.checkbox&&this.group.renderAgreementCheckbox(e);var r=this.options.buttonText||this.groupOptions.text.buttonText||this.lang.btnSubscribe,a=!1,a=void 0!==this.options.noSpamText?this.options.noSpamText:void 0!==this.groupOptions.text.noSpamTex?this.groupOptions.text.noSpamText:$.pandalocker.lang.noSpam,i=$.pandalocker.tools.normilizeHtmlOption(a),o=$("<div></div>").addClass("onp-sl-field").addClass("onp-sl-field-submit"),n=$("<button class='onp-sl-button onp-sl-form-button onp-sl-submit'>"+r+"</button>");return this.group.isFirst&&n.addClass("onp-sl-button-primary"),n.appendTo(o),n.click(function(){return t.submit(),!1}),o.appendTo(e),a&&!this.locker._hideNoSpamText&&(i.addClass("onp-sl-note").addClass("onp-sl-nospam"),i.appendTo(e)),n},form.renderField=function(e,t){var r,a=t.type,i=t.id,o=$("<div class='onp-sl-field'></div>");t._$wrap=o,i&&o.addClass("onp-sl-field-"+i),a&&o.addClass("onp-sl-field-"+a),t.title&&"hidden"!==a&&((r=$("<div class='onp-sl-field-title'></div>")).html(t.title),r.appendTo(o)),o.appendTo(e);var n=$("<div class='onp-sl-field-control'></div>");n.appendTo(o);var l=$.pandalocker.hooks.run("render-"+a,[e,t]);if(l)return l;var s="render"+$.pandalocker.tools.capitaliseFirstLetter($.pandalocker.tools.camelCase(a));if(!this[s])return this.showError('Cannot render a field of the type "'+a+'".');var d=this[s](n,t);return"email"===t.id?d.val(this._getFromMemory("email")):"fullname"===t.id&&d.val(this._getFromMemory("fullname")),d},form.renderEmail=function(e,t){return this.renderText(e,t,"text","email")},form.renderPhone=function(e,t){return this.renderText(e,t,"text","phone")},form.renderUrl=function(e,t){return this.renderText(e,t,"text","website")},form.renderInteger=function(e,t){return this.renderText(e,t,"text","interger")},form.renderHidden=function(e,t){var r=$("<input type='hidden' class='onp-sl-input-"+t.id+"' />");return t.value&&r.attr("value",t.value),r.appendTo(e),r},form.renderBirthday=function(e,t){return t.mask||(t.mask="99/99"),t.maskPlaceholder||(t.maskPlaceholder="dd/mm"),this.renderText(e,t,"text","birthday")},form.renderDate=function(e,t){if($.pandalocker.tools.isTabletOrMobile())return this.renderText(e,t,"date");var r=this.renderText(e,t,"text");if(!window.Pikaday)return this.showError('Unable to create a field of the type "date" due to the lib Pikaday not found.');r.attr("readOnly","true");new Pikaday({field:r[0],container:e[0],format:"DD MMM YYYY",onSelect:function(){r.data("value",this.getMoment().format("YYYY-MM-DD"))}});return r},form.renderText=function(e,t,r,a){var i,o;!t.icon||"none"!==(i=t.iconPosition||"right")&&(o=$("<i class='onp-sl-icon'></i>").addClass(t.icon),"right"===i?o.addClass("onp-sl-icon-append"):o.addClass("onp-sl-icon-prepend"),o.appendTo(e)),r=r||"text",t.password&&(r="password");var n=$("<input type='"+r+"' class='onp-sl-input onp-sl-input-"+t.id+"' />");if(t.placeholder&&n.attr("placeholder",t.placeholder),t.value&&n.attr("value",t.value),a&&n.attr("name",a),t.mask){if(!$.mask)return this.showError("Unable to create a masked input, the lib not found");var l={};t.maskPlaceholder&&(l.placeholder=t.maskPlaceholder),n.mask(t.mask,l)}return n.appendTo(e),n},form.renderCheckbox=function(e,t){var r=$("<label></lable>"),a=$("<input type='checkbox' />");a.appendTo(r),t.markedByDefault&&a.attr("checked","checked"),$("<span class='onp-sl-checkbox' id='onp-sl-input-"+t.id+"' />").appendTo(r);var i=$("<span></span>");return t.description&&i.html(t.description),i.appendTo(r),r.appendTo(e),a},form.renderDropdown=function(e,t){var r=$("<select class='onp-sl-input onp-sl-dropdown'></select>"),a=$("<i></i>");for(var i in t.choices){$("<option></option>").attr("value",t.choices[i]).text(t.choices[i]).appendTo(r)}return r.appendTo(e),a.appendTo(e),r},form.renderSeparator=function(e,t){return null},form.renderHtml=function(e,t){return e.html(t.html),e},form.renderLabel=function(e,t){return e.html(t.text),null},form._getStorageIdentity=function(){var e,t="";return t=this.options.unlocksPerPage?(e=$.pandalocker.tools.URL.normalize(this.options.url||window.location.href),"opanda_"+$.pandalocker.tools.hash(e)+"_hash_"+this.name):"opanda_"+$.pandalocker.tools.hash(this.options.listId+this.options.service)+"_hash_"+this.name,t=$.pandalocker.filters.run("subscription-form-get-storage-identity",[t])},$.pandalocker.controls.subscription.form=form}(jQuery);;
!function(k){"use strict";k.fn.pandalocker||(k.pandalocker.widget("pandalocker",{options:{},_isLocked:!1,_isContentVisible:!1,_defaults:{text:{header:null,message:null},theme:{name:"starter"},lang:"en_US",groups:{order:["social-buttons"],union:"or"},agreement:{note:!1,checkbox:!1,termsUrl:!1,privacyPolicyUrl:!1,showInPopup:!1},connectButtons:{},socialButtons:{},overlap:{mode:"full",position:"middle",intensity:5,altMode:"transparence"},cssClass:null,demo:!1,highlight:!0,googleAnalytics:!1,locker:{off:!1,stepByStep:!1,close:!1,timer:0,mobile:!0,expires:!1,useCookies:!1,scope:!1,loadingTimeout:1e3,tumbler:!0,tumblerInterval:500,naMode:"show-error",visibility:[],inAppBrowsers:"visible_with_warning",inAppBrowsersWarning:"You are viewing this page in the {browser}. The locker may work incorrectly in this browser. Please open this page in a standard browser."},subscribeActionOptions:{},content:null,proxy:{url:null,endpoint:"https://gate.sociallocker.app",paramPrefix:null,consumer:{company:{title:null,url:null},privacyPolicy:{title:null,url:null}}},actionsProxy:{},socialProxy:{}},getState:function(){return this._isLocked?"locked":"unlocked"},dispose:function(){(this.element.parent().is("a")?this.element.parent():this.element).show(),this.locker.remove(),this.stopWatchingCrossRequests()},_create:function(){var e=this;this.id=this.options.id||this._generteId(),this._prepareOptions(),this._setupVariables(),this._initExtras(),this._initHooks(),this._initGroups(),this._initScreens(),this._setupVisitorId(),this.runHook("init"),this._canLock()&&this.requestState(function(t){"locked"===t?e._lock():e._unlock("provider")})},_generteId:function(){return k.pandalocker.tools.id()},_prepareOptions:function(){var t=k.extend(!0,{},this._defaults),t=this.applyFilters("filter-default-options",t);this.options.theme&&!k.isPlainObject(this.options.theme)&&(this.options.theme={name:this.options.theme}),"object"!=typeof this.options.theme&&(this.options.theme={name:this.options.theme});var e=this.options.theme.name||this._defaults.theme;k.pandalocker.themes[e]&&(t=k.extend(!0,{},t,k.pandalocker.themes[e]));var o=k.extend(!0,t,this.options);k.isArray(o.groups)&&(o.groups=k.extend(!0,{},t.groups,{order:o.groups})),o.locker.timer=parseInt(o.locker.timer),0===o.locker.timer&&(o.locker.timer=null),o.agreement&&!0===o.agreement.checkbox&&(o.agreement.checkbox="bottom"),o.agreement&&"bottom"===o.agreement.checkbox&&(this._hideNoSpamText=!0),this.options=this.applyFilters("filter-options",o),"blurring"!==this.options.overlap.mode||k.pandalocker.tools.supportBlurring()||(this.options.overlap.mode=this.options.overlap.altMode),this.options.socialProxy=k.extend(!0,{},this.options.proxy,this.options.socialProxy),this.options.actionsProxy=k.extend(!0,{},this.options.proxy,this.options.actionsProxy)},_setupVariables:function(){if(this.style="onp-sl-"+this.options.theme.name,this.overlap="full"!==this.options.overlap.mode&&this.options.overlap.mode,this.groupUnion=this.options.groups.union,0<this.options.groups.order.length)switch(this.options.groups.order[0]){case"connect-buttons":this.lockerType="signin-locker",this.langScope="signinLocker";break;case"subscription":this.lockerType="email-locker",this.langScope="emailLocker";break;default:this.lockerType="social-locker",this.langScope="socialLocker"}this.lang=k.pandalocker.lang.scopes[this.langScope]},_initExtras:function(){for(var t in k.pandalocker.extras)k.pandalocker.extras.hasOwnProperty(t)&&k.pandalocker.extras[t].init&&k.pandalocker.extras[t].init.apply(this)},_initHooks:function(){var t=this,e=!1,o=!1,s=!1,i=!1;this.addHook("raw-interaction",function(){i&&(e||(e=!0,t.runHook("interaction")))}),this.addHook("raw-error",function(){i&&(o||(o=!0,t.runHook("error")))}),this.addHook("raw-impress",function(){"default"===t._currentScreenName&&(i=!0,t.runHook("impress"))}),this.addHook("raw-social-app-declined",function(){i&&(s||(s=!0,t.runHook("social-app-declined")))})},_initGroups:function(){this._groups=[];for(var t=0;t<this.options.groups.order.length;t++){var e=this.options.groups.order[t],o=k.pandalocker.tools.camelCase(e),s=this.options[o]||{};if(0===t&&(s.text=this.options.text),!k.pandalocker.groups[e])return void this._showError("core",'The control group "'+e+'" not found.');var i=k.pandalocker.tools.extend(k.pandalocker.groups[e]);s.index=parseInt(t)+1,i.init(this,s),this._groups[t]=i}},_setupVisitorId:function(){this.vid=k.pandalocker.tools.getValue("opanda_vid"),this.vid||(this.vid=k.pandalocker.tools.guid(),k.pandalocker.tools.saveValue("opanda_vid",this.vid,365))},_canLock:function(){if(k.pandalocker.browser.msie&&7===parseInt(k.pandalocker.browser.version,10))return this._unlock("ie7"),!1;if(this.options.locker.visibility&&!(new k.pandalocker.services.visibility).canLock(this.options.locker.visibility))return this._unlock("visibility"),!1;if(!this.options.locker.mobile&&k.pandalocker.tools.isMobile())return this._unlock("mobile"),!1;if("hidden"===!this.options.locker.inAppBrowsers&&k.pandalocker.tools.isInAppBrowser())return this._unlock("inapp"),!1;for(var t=0,e=0;e<this._groups.length;e++)if(!this._groups[e].canLock()){if("or"===this.groupUnion)return this._unlock("group"),!1;t++}return t!==this._groups.length||(this._unlock("group"),!1)},requestState:function(e){var i=this,o=[];(o=this.applyFilters("functions-requesting-state",o)).push(function(e){for(var o=i._groups.length,s="locked",t=0;t<i._groups.length;t++)i._groups[t].requestState(function(t){"unlocked"===t&&(s=t),--o<=0&&e(s)})});var s=function(){var t=o.shift();if(!t)return e("locked");t(function(t){if("unlocked"===t)return e(t);s()})};s()},setState:function(t,e,o){this.runHook("state-changed",[t,e,o])},_getStateStorage:function(){return this._stateStorage||(this._stateStorage=this.applyFilters("get-default-state-storage",new k.pandalocker.storages.defaultStateStorage(this))),this._stateStorage},_showError:function(t,e){this._error=!0,this._errorText=e,this.locker&&this.locker.hide(),this.element.html("<strong>[Error]: "+e+"</strong>"),this.element.show().addClass("onp-sl-locker-error"),this.runHook("size-changed")},addHook:function(t,e,o,s){k.pandalocker.hooks.add(this.id+"."+t,e,o),s&&k.pandalocker.hooks.add(t,e,o)},runHook:function(t,e,o){(e=e||[]).unshift(this),k.pandalocker.hooks.run(this.id+"."+t,e),o&&k.pandalocker.hooks.run(t,e),this.element.trigger("opanda-"+t,e);var s=e.slice(),i={};i.lockId=this.id,i.visitorId=this.vid,i.locker=this.locker,i.content=this.element,s.unshift(i),k.pandalocker.hooks.run("opanda-"+t,s)},addFilter:function(t,e,o,s){k.pandalocker.filters.add(this.id+"."+t,e,o)},applyFilters:function(t,e,o,s){o=o||[],k.isArray(o)||(o=[o]),o.unshift(this),o.unshift(e);var i=k.pandalocker.filters.run(this.id+"."+t,o);return o[0]=i,s&&(i=k.pandalocker.filters.run(t,o)),i},waitCrossRequest:function(t,e){this._crossWaiters.push({callback:t,sender:e})},_crossWaiters:[],_crossEventListener:function(t){if(t.data&&"string"==typeof t.data){var e=null;try{e=JSON.parse(t.data)}catch(t){return}if(e)for(var o in this._crossWaiters){var s=this._crossWaiters[o];s.sender&&s.sender!==e.sender||s.callback(e)}}},watchCrossRequests:function(){this._crossEventListener=this._crossEventListener.bind(this),window.addEventListener?window.addEventListener("message",this._crossEventListener):window.attachEvent("message",this._crossEventListener)},stopWatchingCrossRequests:function(){window.removeEventListener?window.removeEventListener("message",this._crossEventListener):window.detachEvent("message",this._crossEventListener)},_windowsToTrack:[],_isWindowTrackingStarted:!1,trackWindow:function(t,e){var l,c=this;this._windowsToTrack.push({term:t,callback:e,isTracking:!1}),this._isWindowTrackingStarted||(this._isWindowTrackingStarted=!0,l=window.open,window.open=function(t,e,o){var s=l(t,e,o);if(0===c._windowsToTrack.length)return s;for(var i in c._windowsToTrack){var n,r,a=c._windowsToTrack[i];a.isTracking||(n=t&&-1===t.indexOf(a.term),r=e&&-1===e.indexOf(a.term),(n||r)&&(a.isTracking=!0,a.timer=setInterval(function(){s&&!1===s.closed||(clearInterval(a.timer),a.callback&&a.callback())},300)))}return s})},screens:{},_screenFactory:{},_showScreen:function(t,e){if(!this._screenFactory[t]&&!this.screens[t])throw new k.pandalocker.error('The screen "'+t+'" not found in the group "'+this.name+'"');var o=this;if(this._currentScreenName=t,this.innerWrap.find(".onp-sl-screen").hide(),this.screens[t])return this.screens[t].show(),void o.runHook("size-changed");var s=k("<div class='onp-sl-screen onp-sl-non-default-screen onp-sl-screen-"+t+"'></div>").appendTo(this.innerWrap).hide();this.screens[t]=this._screenFactory[t](s,e),s.fadeIn(300,function(){o.runHook("size-changed")})},_registerScreen:function(t,e){this._screenFactory[t]=e},_initScreens:function(){var d=this;this._currentScreenName="default",this._registerScreen("enter-email",function(s,o){s.addClass("onp-sl-subscription");var t,e,i=k('<div class="onp-sl-text"></div>');s.append(i),o.header&&(t=k('<div class="onp-sl-header onp-sl-strong">'+o.header+"</div>"),i.append(t)),o.message&&(e=k('<div class="onp-sl-message">'+o.message+"</div>"),i.append(e));var n=k('<div class="onp-sl-control"></div>');s.append(n);var r={};for(var a in r.email={name:"email",type:"text",placeholder:k.pandalocker.lang.misc_enter_your_email},r.submit={name:"submit",type:"submit",title:o.buttonTitle},r){var l,c=r[a].type,p=r[a].title,h=r[a].value||o.fields&&o.fields[a]&&o.fields[a].value,d=k("<div></div>").addClass("onp-sl-field").addClass("onp-sl-field-"+a).addClass("onp-sl-field-type-"+c);"text"!==c&&"email"!==c||(l=k("<input type='"+c+"' name='"+a+"' class='onp-sl-input onp-sl-input-"+a+"' />"),r[a].placeholder&&l.attr("placeholder",r[a].placeholder),h&&l.attr("value",h),l.appendTo(d)),"submit"===c&&((l=k("<button class='onp-sl-button onp-sl-form-button onp-sl-submit'>"+p+"</button>")).addClass("onp-sl-button-primary"),l.appendTo(d)),d.appendTo(n)}o.note&&k("<div class='onp-sl-note onp-sl-nospam'></div>").html(o.note).appendTo(n),s.find(".onp-sl-submit").click(function(){function t(t,e){s.find(".onp-sl-group-notice").remove();var o=k("<div class='onp-sl-group-notice'>"+t+"</div>").hide();s.append(o),o.fadeIn(500),e=e||7e3,setTimeout(function(){o.length&&o.fadeOut(800,function(){o.remove()})},e)}k(this);var e=k.trim(s.find(".onp-sl-input-email").val());e&&e.length?k.pandalocker.tools.isValidEmailAddress(e)?o.callback&&o.callback(e):t(k.pandalocker.lang.errors_incorrect_email):t(k.pandalocker.lang.errors_empty_email)})}),this._registerScreen("data-processing",function(t,e){t.append(k("<div class='onp-sl-process-spin'></div>")),t.append(k("<div class='onp-sl-processing-screen-text'>"+k.pandalocker.lang.misc_data_processing+"</div>"))}),this._registerScreen("email-confirmation",function(t,e){var o=k('<div class="onp-sl-screen-message"></div>'),s=k("<div class='onp-sl-header'></div>").html(k.pandalocker.lang.confirm_screen_title),i=k("<div class='onp-sl-message'></div>"),n=k("<p></p>").html(k.pandalocker.lang.confirm_screen_instruction.replace("{email}","<strong>"+e.email+'</strong> <a href="#" class="onp-sl-cancel">'+k.pandalocker.lang.confirm_screen_cancel+"</a>")),r=k('<p class="onp-sl-highlight"></p>').html(k.pandalocker.lang.confirm_screen_note1),a=k('<p class="onp-sl-note"></p>').html(k.pandalocker.lang.confirm_screen_note2);n.find(".onp-sl-cancel").click(function(){return e.service.cancel(),d._showScreen("default"),!1}),i.append(n),i.append(r),o.append(s),o.append(i),t.append(o);var l,c,p=e.email.split("@"),h=null;0<=p[1].indexOf("gmail")?h={url:"https://mail.google.com/mail/?tab=wm",icon:"0px 0px",title:"Gmail"}:0<=p[1].indexOf("yahoo")?h={url:"https://mail.yahoo.com/",icon:"0px -70px",title:"Yahoo!"}:0<=p[1].indexOf("hotmail")?h={url:"https://hotmail.com/",icon:" 0px -140px",title:"Hotmail"}:0<=p[1].indexOf("outlook")&&(h={url:"http://www.outlook.com/",icon:" 0px -140px",title:"Outlook"}),h&&((l=k('<a class="onp-sl-button onp-sl-form-button onp-sl-form-button-sm onp-sl-open"></a>').html(k.pandalocker.lang.confirm_screen_open.replace("{service}",h.title))).attr("href",h.url),l.attr("target","_blank"),h.icon&&(l.addClass("onp-sl-has-icon"),k('<i class="onp-sl-icon"></i>').prependTo(l).css("background-position",h.icon)),(c=k("<div class='onp-sl-open-button-wrap'></div>")).append(l),t.append(c)),t.append(a)})},_lock:function(t){var e=this;this._isLocked||(this._markupIsCreated||this._createMarkup(),this.overlap?(this.overlapLockerBox.fadeIn(1e3,function(){e._updateLockerPosition()}),e._updateLockerPosition()):(this.element.hide(),this.locker.fadeIn(1e3)),this._isContentVisible=!1,this._isLocked=!0,this.runHook("lock"),this.runHook("locked"),this.watchCrossRequests(),setTimeout(function(){e._startTrackVisability()},1500))},_unlock:function(t,e,o){if(!this._isContentVisible&&!this.options.locker.off){if(!this._isLocked)return this.runHook("cancel",[t]),this._showContent("button"===t),!1;this._showContent(!0),this._isLocked=!1,this.runHook("unlock",[t,e,o]),this.runHook("unlocked",[t,e,o]),this.stopWatchingCrossRequests()}},lock:function(t){this._lock(t||"api")},unlock:function(t,e,o){this._unlock(t||"api",e,o)},_createMarkup:function(){var t=this;this._loadFonts();var e=this.element.parent().is("a")?this.element.parent():this.element;e.addClass("onp-sl-content");var o=(k.pandalocker.browser.mozilla?"mozilla":k.pandalocker.browser.opera&&"opera")||k.pandalocker.browser.webkit&&"webkit"||"msie";this.locker=k("<div class='onp-sl onp-sl-"+o+"'></div>"),this.outerWrap=k("<div class='onp-sl-outer-wrap'></div>").appendTo(this.locker),this.innerWrap=k("<div class='onp-sl-inner-wrap'></div>").appendTo(this.outerWrap);var s=k("<div class='onp-sl-screen onp-sl-screen-default'></div>").appendTo(this.innerWrap);this.screens.default=this.defaultScreen=s,this.locker.addClass(this.style),this.locker.addClass("onp-sl-"+this.lockerType),this.locker.addClass("onp-sl-"+this.options.groups.order[0]+"-frist"),this.locker.addClass(1===this.options.groups.order.length?"onp-sl-contains-single-group":"onp-sl-contains-many-groups");for(var i,n,r,a,l,c,p=0;p<this.options.groups.order.length;p++)this.locker.addClass("onp-sl-"+this.options.groups.order[p]+"-enabled");k.pandalocker.isTouch()?this.locker.addClass("onp-sl-touch"):this.locker.addClass("onp-sl-no-touch"),this.options.cssClass&&this.locker.addClass(this.options.cssClass),k.pandalocker.isTouch()||this.locker.mousemove(function(){k.pandalocker._current=t}),this.overlap?(e.addClass("onp-sl-overlap-mode"),i=this.element.css("display"),n=e,("blurring"===this.overlap||e.is("img")||e.is("iframe")||e.is("object")||"block"!==i&&"inline-block"!==i)&&((n=k('<div class="onp-sl-content-wrap"></div>')).insertAfter(e),n.append(e),r=e.css("margin"),n.css({margin:r}),e.css({margin:"0"}),t.addHook("unlock",function(){n.css({margin:r})})),e.show(),this.element.show(),"blurring"===this.overlap&&(this.blurArea=k("<div class='onp-sl-blur-area'></div>"),this.blurArea.insertAfter(e),this.blurArea.append(e),e=this.blurArea),"static"===n.css("position")&&n.css("position","relative"),1===(a=e.is("iframe")&&e||e.find("iframe")).length&&"absolute"===a.css("position")&&(!e.is(a)&&!a.parent().is(e)&&"relative"===a.parent().css("position")||(n.css({position:"absolute",width:"100%",height:"100%",top:a.css("top"),left:a.css("left"),right:a.css("right"),bottom:a.css("bottom"),margin:a.css("margin")}),a.css({top:0,left:0,right:0,bottom:0,margin:"auto"}))),this.overlapLockerBox=k("<div class='onp-sl-overlap-locker-box'></div>").hide(),this.overlapLockerBox.addClass("onp-sl-position-"+this.options.overlap.position),this.overlapLockerBox.append(this.locker),this.overlapBox=k("<div class='onp-sl-overlap-box'></div>"),this.overlapBox.append(this.overlapLockerBox),this.overlapBox.addClass("onp-sl-"+this.overlap+"-mode"),this.overlapBox.addClass(this.style+"-theme"),l=k("<div class='onp-sl-overlap-background'></div>"),this.overlapBox.append(l),n.append(this.overlapBox),this.containerToTrackSize=n,"blurring"===this.overlap&&(c=this.options.overlap&&this.options.overlap.intensity||5,this.blurArea=this.blurArea.Vague({intensity:c,forceSVGUrl:!1}),this.blurArea.blur()),k(window).resize(function(){t._updateLockerPosition()}),this.addHook("size-changed",function(){t._updateLockerPosition()}),"scroll"===this.options.overlap.position&&k(window).scroll(function(){t._updateLockerPositionOnScrolling()})):(this.locker.hide(),this.locker.insertAfter(e)),this._markupIsCreated=!0,this.runHook("markup-created"),this.locker.click(function(){t.runHook("raw-interaction")}),this._isLockerVisible=this.locker.parent().is(":visible"),this._isLockerVisible||(this.options.lazy=!0);for(var h,d,u=0;u<this._groups.length;u++)this._groups[u].renderGroup(s);this.options.agreement&&this.options.agreement.note&&this._createAgreementNote(),this.options.locker.close&&this._createClosingCross(),this.options.locker.timer&&this._createTimer(),"visible_with_warning"===this.options.locker.inAppBrowsers&&this.options.locker.inAppBrowsersWarning&&k.pandalocker.tools.isInAppBrowser()&&(h=(h=this.options.locker.inAppBrowsersWarning).replace("{browser}","<strong>"+k.pandalocker.tools.getInAppBrowser()+"</strong>"),d=k("<div class='onp-sl-group-notice'>"+h+"</div>"),s.find(".onp-sl-group").append(d))},_addClass:function(t){this.locker.addClass(t)},_loadFonts:function(){if(this.options.theme.fonts&&this.options.theme.fonts.length)for(var t=("https:"===document.location.protocol?"https":"http")+"://fonts.googleapis.com/css",e=0;e<this.options.theme.fonts.length;e++){var o=this.options.theme.fonts[e],s=o.name;o.styles&&o.styles.length&&(s=s+":"+o.styles.join(","));var i=k.pandalocker.tools.updateQueryStringParameter(t,"family",s);o.subset&&o.subset.length&&(i=k.pandalocker.tools.updateQueryStringParameter(i,"subset",o.subset.join(",")));var n=k.pandalocker.tools.hash(i);0<k("#onp-sl-font-"+n).length||k('<link id="onp-sl-font-'+n+'" rel="stylesheet" type="text/css" href="'+i+'" >').appendTo("head")}},_updateLockerPosition:function(){var o,t,e,s,i,n,r,a,l,c;this.overlap&&(t=(o=this).containerToTrackSize.outerHeight(),void 0===this.contentMinTopMargin&&(this.contentMinTopMargin=parseInt(this.containerToTrackSize.css("marginTop"))),void 0===this.contentMinBottomMargin&&(this.contentMinBottomMargin=parseInt(this.containerToTrackSize.css("marginBottom"))),t<(e=this.locker.outerHeight())&&(s=parseInt((e-t)/2)+20,i=this.contentMinTopMargin<s?s:this.contentMinTopMargin,n=this.contentMinBottomMargin<s?s:this.contentMinBottomMargin,this.containerToTrackSize.css({marginTop:i+"px",marginBottom:n+"px"})),"top"!==this.options.overlap.position&&"scroll"!==this.options.overlap.position||(r=this.overlapBox.outerWidth(),a=this.locker.outerWidth(),l=this.overlapBox.outerHeight(),(c=this.options.overlap.offset)||(c=Math.floor((r-a)/2))<=10&&(c=10),l<2*c+e&&(c=Math.floor((l-e)/2)),this.overlapLockerBox.css("marginTop",c+"px"),"scroll"===this.options.overlap.position&&(this._baseOffset=c,this._updateLockerPositionOnScrolling(function(t,e){"middle-scroll"===t&&0===parseInt(o.overlapLockerBox.css("top"))&&o.overlapLockerBox.css("top",e)}))),"middle"!==this.options.overlap.position||this.overlapLockerBox.css("marginTop","-"+Math.floor(this.overlapLockerBox.innerHeight()/2)+"px"))},_updateLockerPositionOnScrolling:function(t){var e=this,o=this.overlapBox.offset(),s=o.top,i=o.left,n=o.top+this.overlapBox.outerHeight(),r=this.overlapBox.outerWidth(),a=this.overlapBox.outerHeight(),l=this.locker.outerHeight();if(!(2*this._baseOffset+l+10>=a)){var c=k(document).scrollTop();if(s<c+40&&c-40+k(window).height()<n){var p=Math.floor(k(window).height()/2-l/2);t&&t("middle-scroll",p);var h=parseInt(this.overlapLockerBox.css("top"));return this.overlapLockerBox.css("position","fixed").css("left",i+"px").css("width",r+"px").css("bottom","auto").css("margin-top","0px"),void(h!=p&&(this._animateBusy||(this._animateBusy=!0,this.overlapLockerBox.animate({top:p+"px"},150,function(){e._animateBusy=!1}))))}c+l+2*this._baseOffset+20>n?this.overlapLockerBox.css("position","absolute").css("top","auto").css("left","0px").css("width","auto").css("bottom",this._baseOffset+"px").css("margin-top","0px"):s<c+20?this.overlapLockerBox.css("position","fixed").css("top",this._baseOffset+20+"px").css("left",i+"px").css("width",r+"px").css("bottom","auto").css("margin-top","0px"):this.overlapLockerBox.css("position","absolute").css("top","0px").css("left","0px").css("bottom","auto").css("width","auto").css("margin-top",this._baseOffset+"px")}},_startTrackVisability:function(){var s=this,i=this.locker[0];this._trackVisabilityStoppped=!1,i.getBoundingClientRect||this.runHook("raw-impress");function t(){var t,e,o;s._trackVisabilityStoppped||(i?(e=(t=i.getBoundingClientRect()).height/2,o=t.width/2,0<t.top+e&&t.bottom-e<=n&&t.left+o&&t.right-o<=r&&(s.runHook("raw-impress"),s._stopTrackVisability())):s._stopTrackVisability())}var n=k(window).height(),r=k(window).width();k(window).bind("resize.visability.opanda",function(){s._trackVisabilityStoppped||(n=k(window).height(),r=k(window).width())}),k(window).bind("resize.visability.opanda scroll.visability.opanda",function(){s._trackVisabilityStoppped||t()}),k(document.body).bind("konte_modal_opened",function(){t()}),this._isLockerVisible||(k("a, button").add(k(document)).bind("click.visability.opanda",function(){s._trackVisabilityStoppped||setTimeout(function(){t()},200)}),this.addHook("raw-impress",function(){s._isLockerVisible=!0,s._trackVisabilityStoppped=!0})),t()},_stopTrackVisability:function(){this._trackVisabilityStoppped=!0},_createClosingCross:function(){var t=this;k("<div class='onp-sl-cross' title='"+k.pandalocker.lang.misc_close+"' />").prependTo(this.locker).click(function(){t.close&&t.close(t)||t._unlock("cross",!0)})},_createTimer:function(){this.timer=k("<span class='onp-sl-timer'></span>");var t=(t=k.pandalocker.lang.misc_or_wait).replace("{timer}",k("<span class='onp-sl-timer-counter'>"+this.options.locker.timer+"</span>")[0].outerHTML);this.timerLabel=k("<span class='onp-sl-timer-label'></span>").html(t).appendTo(this.timer),this.timerCounter=this.timerLabel.find(".onp-sl-timer-counter"),this.timer.appendTo(this.locker),this.counter=this.options.locker.timer,this._kickTimer()},_kickTimer:function(){var e=this;setTimeout(function(){var t;e._isLocked&&(e.counter--,e.counter<=0?e._unlock("timer"):(e.timerCounter.text(e.counter),k.pandalocker.browser.opera&&((t=e.timerCounter.clone()).insertAfter(e.timerCounter),e.timerCounter.remove(),e.timerCounter=t),e._kickTimer()))},1e3)},_createAgreementNote:function(){this.locker.addClass("onp-sl-has-terms"),this.terms=k("<div class='onp-sl-terms'></div>").appendTo(this.defaultScreen),this.termsInnerWrap=k("<div class='onp-sl-terms-inner-wrap'></div>").appendTo(this.terms);var e,o,t=this._replaceTermLinks(k.pandalocker.lang.misc_your_agree_with);this.termsInnerWrap.html(t),this.options.agreement.showInPopup&&(e=this.options.agreement.showInPopup.width||550,o=this.options.agreement.showInPopup.height||400,this.termsInnerWrap.find(".onp-sl-link").click(function(){var t=k(this).attr("href");return window.open(t,"bizpanda_policies","width="+e+",height="+o+",resizable=yes,scrollbars=yes"),!1}))},isAgreementAccepted:function(){return!this.options.agreement||!(this.options.agreement.checkbox&&!this._isAgreementAccepted)&&(this.options.agreement.checkbox&&this._isAgreementAccepted||this.options.agreement.note,!0)},acceptAgreement:function(t){this._isAgreementAccepted=t,this.runHook("accept-agreement",[t]),this.isAgreementAccepted()&&this.locker.removeClass("onp-sl-no-consent-error")},validateAgreement:function(){var t=this.isAgreementAccepted();return t||this.locker.addClass("onp-sl-no-consent-error"),this.runHook("size-changed"),t},_replaceTermLinks:function(t){if(!t)return t;var e="",o="",s="";return this.options.agreement.termsUrl&&(e=o=k("<a target='_black' class='onp-sl-link'>"+k.pandalocker.lang.misc_terms_of_use+"</a>").attr("href",this.options.agreement.termsUrl)[0].outerHTML),this.options.agreement.privacyPolicyUrl&&(this.options.agreement.termsUrl&&(e+=" & "),e+=s=k("<a target='_black' class='onp-sl-link'>"+k.pandalocker.lang.misc_privacy_policy+"</a>").attr("href",this.options.agreement.privacyPolicyUrl)[0].outerHTML),e&&(t=t.replace("{links}",e)),o&&(t=t.replace("{terms}",o)),s&&(t=t.replace("{privacy}",s)),t},_showContent:function(t){var s=this;this._isContentVisible=!0,this.runHook("before-show-content");function i(){s.overlap?(s.overlapBox&&s.overlapBox.hide(),s.blurArea&&s.blurArea.unblur()):s.locker&&s.locker.hide(),s.locker&&s.locker.hide(),t?s.element.fadeIn(1e3,function(){s.options.highlight&&s.element.effect&&s.element.effect("highlight",{color:"#fffbcc"},800)}):s.element.show(),s.runHook("after-show-content")}var e,n,o,r;this.options.content?"string"==typeof this.options.content?(this.element.html(this.options.content),i()):"object"!=typeof this.options.content||this.options.content.url?"object"==typeof this.options.content&&this.options.content.url?(e=k.extend(!0,{},this.options.content),n=e.success,o=e.complete,r=e.error,e.success=function(t,e,o){n?n(s,t,e,o):s.element.html(t),i()},e.error=function(t,e,o){s._showError("ajax","An error is triggered during the ajax request! Text: "+e+" "+o),r&&r(t,e,o)},e.complete=function(t,e){o&&o(t,e)},k.ajax(e)):i():(this.element.append(this.options.content.clone().show()),i()):i()}}),k.fn.sociallocker=function(t){return k(this).pandalocker(t)})}(jQuery);;
!function(p){window.bizpanda||(window.bizpanda={}),window.bizpanda.lockerOptions||(window.bizpanda.lockerOptions={}),window.__pandalockers||(window.__pandalockers={}),window.bizpanda.initLockers=function(){function i(e,n){e=e||p(document);var o=window.bizpanda.createInlineLockers(e),i=window.bizpanda.createCssLockers(e);!o.has()&&!i.has()||this._inited||(n||window.bizpanda.countPageViews(),window.bizpanda.countLockerViews()),o.explode(),i.explode()}if(__pandalockers.managedInitHook){if(this._inited)return;p(document).bind(__pandalockers.managedInitHook,function(e,n,o){i(n,o)})}else i(null,!0);this._inited=!0,window.bizpanda.inited=!0,p(document).trigger("bp-init")},window.bizpanda.createInlineLockers=function(e){for(var n=window.bizpanda.createMine(),o=(e=e||p(document)).find(".onp-locker-call"),i=0;i<o.length;i++){var a,t,r=p(o[i]),d=r.data("lock-id");r.data("bp-locker-applied")||(r.data("bp-locker-applied",!0),a=window.bizpanda.lockerOptions[d]?window.bizpanda.lockerOptions[d]:p.parseJSON(r.next().text()),t=window.bizpanda.createLocker(r,a,d,!0),n.triggers.push(t))}return n},window.bizpanda.createCssLockers=function(e){var n=window.bizpanda.createMine();if(e=e||p(document),!window.bizpanda.bulkCssSelectors)return n;for(var o in window.bizpanda.bulkCssSelectors)for(var i=window.bizpanda.bulkCssSelectors[o].selector,a=window.bizpanda.bulkCssSelectors[o].lockId,t=0,r=e.find(i),d=0;d<r.length;d++){var s=p(r[d]);if(!s.data("bp-locker-applied")){if(s.data("bp-locker-applied",!0),20<++t)return!1;var c=window.bizpanda.lockerOptions[a],l=window.bizpanda.createLocker(s,c,a,!0);n.triggers.push(l)}}return n},window.bizpanda.createMine=function(){return{has:function(){return 0<this.triggers.length},triggers:[],explode:function(){for(var e=0;e<this.triggers.length;e++)this.triggers[e]()}}},window.bizpanda.countPageViews=function(){window.bizpanda.bp_ut_count_pageview&&window.bizpanda.bp_ut_count_pageview()},window.bizpanda.countLockerViews=function(){window.bizpanda.bp_ut_count_locker_pageview&&window.bizpanda.bp_ut_count_locker_pageview()},window.bizpanda.createLocker=function(e,a,o,n){function t(){var e={};return e.postId=a.postId,!e.postId&&window.__pandalockers&&(e.postId=window.__pandalockers.postId),e.postTitle=document.getElementsByTagName("title")[0]?document.getElementsByTagName("title")[0].innerHTML:"(no title)",e.postUrl=window.location.href,e.itemId=a.lockerId,e}function i(e,n){var o={eventName:e,eventType:n,visitorId:p.pandalocker.tools.getValue("opanda_vid",null)},i=p.ajax({url:a.ajaxUrl,type:"POST",dataType:"json",data:{action:"opanda_statistics",opandaStats:o,opandaContext:t()},success:function(e){e&&e.error&&console&&console.log&&console.log(e.error)},error:function(e){console&&console.log&&(console.log("Unexpected error occurred during the ajax request:"),console.log(i.responseText))}})}var r=a.options;r.id=o,r.lockerId=a.lockerId,a.ajax&&(r.content={url:a.ajaxUrl,type:"POST",data:{lockerId:a.lockerId,action:"opanda_loader",hash:a.contentHash}}),p.pandalocker.filters.add(o+".ajax-data",function(e){return e.contextData=t(),e}),void 0!==a.stats&&!a.stats||(p.pandalocker.hooks.add(o+".unlock",function(e,n,o){-1!==p.inArray(n,["button","timer","cross"])&&("button"===n?i(o,"unlock"):i(n,"skip"),p(window).resize(),window.mtq_resize_quizzes&&window.mtq_resize_quizzes())}),p.each(["impress","got-twitter-follower","tweet-posted","got-linkedin-follower","got-youtube-subscriber"],function(e,n){p.pandalocker.hooks.add(o+"."+n,function(){i(n)})})),e.removeClass("onp-locker-call"),window.bizpanda.lockerOptions[o]||e.next().remove();function d(){a&&a.options&&a.options.locker&&a.options.locker.delay?setTimeout(function(){e.pandalocker(r)},1e3*a.options.locker.delay):e.pandalocker(r)}if(n)return d;d()};function e(){p(document).ajaxComplete(function(){window.bizpanda.initLockers(),setTimeout(function(){window.bizpanda.initLockers()},3e3),setTimeout(function(){window.bizpanda.initLockers()},5e3)}),window.bizpanda.dynamicThemeSupport&&""!==window.bizpanda.dynamicThemeEvent&&p(document).bind(window.bizpanda.dynamicThemeEvent,function(){window.bizpanda.initLockers()})}if(window.bizpanda.dynamicThemeSupport?e():p(function(){e()}),window.__pandalockers&&window.__pandalockers.visibility){function n(n){p.pandalocker.services.visibilityProviders[n]={getValue:function(){var e=p.pandalocker.tools.cookie("bp_"+n);return e||(o[n]?o[n]:null)}}}for(var o=window.__pandalockers.visibility,i=["user-role","user-registered","post-published"],a=0;a<i.length;a++)n(i[a])}function t(){var e=null;return window.bizpanda.bp_can_store_localy?(e=window.bizpanda.bp_can_store_localy()?window.localStorage.getItem("bp_ut_session"):p.pandalocker.tools.cookie("bp_ut_session"))?(e=(e=e.replace(/\-c\-/g,",")).replace(/\-q\-/g,'"'),e=JSON.parse(e)):e:(console.log&&console.log("[Lockers] User Tracker code is not loaded."),null)}p.pandalocker.services.visibilityProviders["session-pageviews"]={getValue:function(){var e=t();return e?e.pageviews:0}},p.pandalocker.services.visibilityProviders["session-locker-pageviews"]={getValue:function(){var e=t();return e&&e.lockerPageviews?e.lockerPageviews:0}},p.pandalocker.services.visibilityProviders["session-landing-page"]={getValue:function(){return t().landingPage}},p.pandalocker.services.visibilityProviders["session-referrer"]={getValue:function(){return t().referrer}},p.pandalocker.services.visibilityProviders["user-cookie-name"]={getValue:function(e){return!!p.pandalocker.tools.cookie(e.value)&&e.value}}}(jQuery),jQuery(function(){window.bizpanda.initLockers(),setTimeout(function(){window.bizpanda.initLockers()},2e3)});